Bug 23544 - Too many Crimean Tatar keyboard layouts added for Romania
Too many Crimean Tatar keyboard layouts added for Romania
Status: RESOLVED FIXED
Product: xkeyboard-config
Classification: Unclassified
Component: General
unspecified
Other All
: medium normal
Assigned To: xkb
: NEEDINFO
Depends on: 35787
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-27 03:48 UTC by Lucian Adrian Grijincu
Modified: 2011-06-28 01:33 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Screenshot with sample UI illustrating the root cause for this bug (58.00 KB, image/png)
2011-03-30 23:20 UTC, Reşat SABIQ (Reshat)
Details
Removing transitional Crimean Tatar layout which has been found to not be needed, & making sure t-comma, and s-comma (along with the existing a-breve) are provided in Crimean Tatar (Dobruja Q) layout (4.04 KB, patch)
2011-04-03 16:46 UTC, Reşat SABIQ (Reshat)
Details | Splinter Review
by country (gnome-keyboard-config gnome-2-32 + xkeyboard-config git) (129.94 KB, image/png)
2011-04-10 16:27 UTC, Lucian Adrian Grijincu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lucian Adrian Grijincu 2009-08-27 03:48:38 UTC
In bug #19730 there was a patch submitted that added 4 keyboard layouts for crimean tatar.

The patch was somewhat big, adding those keyboard layouts to all countries where Crimean Tatars are known to live whithout consideration to the number of tatars in any of those countries.

In Romania there are many ethnic groups:
    * Romanian 89.5%
    * Hungarian 6.6%
    * Roma 2.5%
    * Serbian 0.3%
    * Ukrainian 0.3%
    * German 0.3%
    * Russian 0.2%
    * Turkish 0.2%
    * other 0.4%

In the other 0.4% there are Greek, Croatian, Crimean Tatar and then some more ethnic groups. That renders the total Tatar population to less than 25000 people (the data is gathered from Wikipedia and other Romanian demographic sources).

I'm not advocating removing all these keyboard layouts: I believe they should have their right to their ethnic identity, but I don't think there should be so many layouts. If every ethnic group would do the same we'd have over 40 keyboard layouts.

As can be seen in bug #19730, these layouts were modified in a few patches, as they seem to not be standardized (correct me if I'm wrong).

The number of keyboard layouts for Crimean Tatars in Romania should be reduced.
Comment 1 Sergey V. Udaltsov 2009-08-27 10:27:17 UTC
Well, it is not for me to judge. May be, you'll discuss that with the guy who contributed all these variants (in that closed bug)? Or, perhaps, if you have some friend who is Crimean Tatarian, you could ask his/her opinion. As you might guess, I am totally neutral on that issue, I just want to minimize conflicts;)
Comment 2 Lucian Adrian Grijincu 2009-08-27 16:27:44 UTC
I CC'd you because you were involved in the closed bug and said you were half Tatar. I apologize for being presumptuous.

--

I already notified Reşat SABIQ (there's an Ubuntu bug tracking this issue too [1]), but received no response.

In Romania there are very few Tatars (less than 25000 Tatars out of over 22 million citizen) and unfortunately I don't know any.

I'll try to find some in our local communities.

[1] https://bugs.edge.launchpad.net/ubuntu/+source/xkeyboard-config/+bug/418939
Comment 3 Sergey V. Udaltsov 2009-08-27 17:05:17 UTC
As you can see, there was some fight in that bug, so may be Reşat would not be interested in continuing the discussion...

> I'll try to find some in our local communities.
Thank you very much! Or at least find someone who could make reasonable guess on what would be the most popular variant...

I do not mind removing unused stuff (actually, I kind of like that:) - but I need reasons!
Comment 4 Reşat SABIQ (Reshat) 2010-02-16 03:34:23 UTC
1. First of all, a clarification of what this issue is really about:
it's about Romanian users being exposed to layouts for languages they don't have any interest in seeing (or even, apparently, which they would rather not see). Hence, i renamed the bug.
1.1. While as an oppressed minority i have gotten used to seeing languages and keyboards i don't have any interest in seeing, i can definitely put myself in the shoes of someone who isn't used to that.
1.2. Even though i believe i wouldn't be discomforted by seeing Crimean Tatar layouts as a Romanian, i concur with Lucian that such cluttering of languages with other languages is unnecessary, although i am not sure whether we agree about the root cause and the solution to this (perception) issue (i disagree with deleting keyboard layouts because somebody representing interests of a different language doesn't want to see them, but i'm hoping Lucian would support more peaceful (and more logical IMHO) solutions).
2. The root cause of the issue is primarily the design of the keyboard config UI (and arguably the design of xkeyboard-config as well, which could be worked around in the UI, but isn't).
3. The optimal solution of this issue, is in changing the design of keyboard config UI, at a minimum, as well as that of xkeyboard-config, at a maximum. Therefore, i'm marking this bug as a duplicate of 19978.
3.1. I just want to clarify: 
I never agreed with Sergey's "rule" that 'most', but it's worth mentioning 'not all', languages have to be listed, in xkeyboard-config, under a country (or countries), as opposed to being listed w/o this indirection via countries. And i don't agree that countries have to be present in the UI as a separate tab, along with languages, as opposed to being represented along with languages, when needed.
I especially didn't agree with these rules for Crimean Tatar, as a language of people dispersed in large proportions (no thanks to a certain country's policies) across so many countries. And i have to remind readers, that Sergey explicitly said that Crimean Tatar layouts have to be listed, in xkeyboard-config, under specific countries. While representation in the UI remains a separate bug, i am trying to emphasize that my contributions have been restricted by certain factors.
3.2. AFAIK, Sergey has made these rules up by himself. I am not aware of any discussion with participation of users across countries and continents and languages as to what would be the best approach, but please correct me if i'm wrong.
3.3. A simple temporary partial solution as an alternative to changing the design of keyboard config UI (or xkeyboard-config for that matter), is to show layouts by language in the 1st tab, and layouts by country in the 2nd tab in the UI. This wouldn't really solve the perception and clutter issue per se, but it would make it less noticable for most users, because most would suffice with layouts by language.

As a side note, i have to mention that Crimean Tatar layouts represent a super-set of Turkish layouts, and are thus also applicable to users of the Turkish language. In fact, most Crimean Tatar users use Turkish as much as if not more than Crimean Tatar. That means these layouts are applicable for about 57000 people in, or about .03% of population of, Romania. I asked about 1 layout that i thought could potentially be a candiate for removal from Romania list because of it not being likely to be used, but was told that it is used as well. That said, seeking proportional representation of keyboard layouts (or other language aspects) in software is a ludicrous idea. I'm attaching an example from Mac showing 4 keyboard layouts for Inuktitut (out of something like 59 total keyboard layouts, i.e. over 6% of layouts are Inuktitut layouts). Number of speakers of Inuktitut: 35000, or roughly 0,00051% of the population of the world (Mac does the right thing and doesn't list languages under countries, instead just showing a list of languages). If anything this example indicates to me Canada's respect for human rights, and language and cultural rights of its minorities. I have no objection to adding as many other layouts under Romania as is necessary to reduce the ratio of Crimean Tatar layouts to .03%, but i think that would then qualify for a comedy movie. 

Finally, i find it completely unacceptable that people representing interests of language A or B attempt to have layouts for language C deleted (well, Sergey actually did that about 1 year and 10 days ago, and i personally will have a hard time forgetting that experience), or otherwise interfere with the affairs of language C. This was commonplace in the times of Stalin, and Russia still has policies to that effect to this day. AFAIK, in the times of Ceauşescu or his predecessors, there were also attempts to force Crimean Tatars in Romania to use the language of Volga Tatars (despite similarities there are differences), though they were unsuccessful, completely or at least for the most part. Despite some of those historical interference attempts in Romania, Romania has overall played a much more positive role in the preservation of Crimean Tatar language and identity than Soviet Union, at least in comparison to Soviet Union since 1936-to-1939 period. We must not go back to unfortunate historical interference and oppression times, but forward towards mutual respect and understanding. If over time, people representing interests of language C decide that they don't benefit much from having a certain layout, they will take care of that layout themselves. It is not up to people representing interests of language A or B to decide on matters of language C. And software design should not provoke such unpleasant emotions or reactions: quite the opposite, it should promote human rights, and mutual understanding and respect. This is especially true for open-source software.

Regards.

*** This bug has been marked as a duplicate of bug 19978 ***
Comment 5 Reşat SABIQ (Reshat) 2010-02-16 03:41:58 UTC
(In reply to comment #4)
> ... In fact, most Crimean Tatar users use Turkish as much as if
> not more than Crimean Tatar. 
For clarity, what i meant to say is: 
In fact, most Crimean Tatars in Romania use Turkish as much as if not more than Crimean Tatar. 

...

> ... I'm attaching an
> example from Mac showing 4 keyboard layouts for Inuktitut (out of something
> like 59 total keyboard layouts, i.e. over 6% of layouts are Inuktitut layouts).
> Number of speakers of Inuktitut: 35000, or roughly 0,00051% of the population
> of the world (Mac does the right thing and doesn't list languages under
> countries, instead just showing a list of languages). If anything this example
> indicates to me Canada's respect for human rights, and language and cultural
> rights of its minorities.
To clarify: The examples are attached to bug 19978. To avoid wasting disk space, and duplication, it's probably not worth attaching them here.

Regards.
Comment 6 Reşat SABIQ (Reshat) 2010-02-16 06:56:48 UTC
A couple of typos are worth correcting:

(In reply to comment #4)
> ... That means these layouts are applicable for about
> 57000 people in, or about .03% of population of, Romania. 
> ... I have no objection to adding as many other layouts
> under Romania as is necessary to reduce the ratio of Crimean Tatar layouts to
> .03%, but i think that would then qualify for a comedy movie. 

Obviously, I meant 0.3% in both of these sentences.

Regards.
Comment 7 Mișu Moldovan 2011-03-02 11:33:32 UTC
Bothered by the curious current state of affairs in the Romanian XKB file, I've started some months ago to investigate the actual situation of the Crimean Tatar language in Romania. I've managed in the end to get in touch with a number of Romanian Tatars, some of them fairly competent in Crimean Tatar. 

It didn't take long to find out that Crimean Tatar is listed in the UNESCO Red Book as a SERIOUSLY ENDANGERED language in Europe with the following observations: "among younger people, many individuals may be less competent in Crimean Tatar" and "a small number of children learn the language, but few if any of them become active users"[1]. This is especially true in Romania, where the number of Tatars is low (~22000 people) and the population is not as compact as in Ukraine or Uzbekistan.

Romanian Tatars have told me that mostly elderly people are the ones actively using the language, although most of the Romanian Tatars have at least a basic understanding of it. But the majority of them are not using it daily, they use Romanian or, to some extent, Turkish. Take for example the official online forum for Romanian Tatars[2], almost everything is in Romanian, with bits of Turkish and virtually no Crimean Tatar. 

More so, when they do write in their native language, Romanian Tatars do not use diacritics usually. Or they use the Turkish ones at most (sometimes excluding ǧ). Their explanation was that "it is hard to write Crimean Tatar with diacritics when there is no standard"[3]. This is a sad situation and I'm sorry for the fate of Tatar language in Romania. It illustrates how impractical these four layouts really are... 

If we take into considerations all the facts, the chances of someone really needing one of these four layouts in X.org are close to non-existent in Romania. So I propose to exclude them from the Romanian XKB file. I have more to say, but I refrain for the moment, this comment is already too long.

 1. http://www.helsinki.fi/~tasalmin/europe_report.html#Crimean
 2. http://www.tatar.ro/forum/
 3. http://forum.softpedia.com/index.php?s=&showtopic=692285&view=findpost&p=9549354
Comment 8 Sergey V. Udaltsov 2011-03-02 13:05:27 UTC
First,
Technically I am planning to merge extras/* into symbols - but I will leave them in base.extras.xml. That way, they will stay "hidden" from the GUI tools but from things like setxkbmap etc they will (and they are now!) valid variants.

I do not mind moving Romanian Crimean Tatar variants from base.xml.in to base.extras.xml.in. Of course, I would like to hear Reşat's opinion.
Comment 9 Mișu Moldovan 2011-03-03 10:19:44 UTC
Actually, knowing already about the "extras" section, my target these days was to find which layouts really are used by the Tatars in Romania and advise XKeyboardConfig maintainers to move them in this exotic section. But, after weeks of investigations, my conclusion is that there really aren't any such layouts in use in Romania, unfortunately.

On the other hand, let's analyse a bit the already included layouts... They look like experiments on top of other experiments, being based on the Tatar layouts marked as experimental in the Turkish XKB file (as noted in the comments). I'm not sure if XKeyboardConfig is a place for experiments of one individual, but why is a foreign person including in the Romanian XKB file four layouts built on top of some experiments in the Turkish XKB file instead of including something after it gets some REAL USE in the Romanian Tatar community?

I have nothing against foreign Tatars experimenting with multiple layouts for the Romanian Tatars, but let's keep experiments out of the official XKeyboardConfig project. That's why I propose to exclude these experimental layouts from the XKeyboardConfig project and only include one or more Crimean Tatar keyboard layouts to the Romanian section after we see some real use of them from the Romanian Tatars. I applaud the activity of the people that fight for a revival of the Crimean Tatar language in Romania, but the sad truth is that odds are strongly against them and currently they see virtually no use.

I also await Rehat to debate this even further, I'm far from done... :)
Comment 10 Reşat SABIQ (Reshat) 2011-03-09 22:35:52 UTC
I have to re-iterate what the issue is. The problem is the following: 
The UI shows to Romanian users keyboard layouts that they don't need to see.
Romanian users are in this sense victims of inadequate, illogical and highly politicized user interface. And because they feel the reluctance of Sergey to depoliticize the user interface, they are trying to victimize Crimean Tatar language instead. 
In short, this bug is a duplicate of bug 19978. I well get back to this crucial point a bit later.

For now, i have to point out some inaccuracies in Mişu's claims, and his hypocritical conduct. Before i begin, i have to say that it is very unfortunate that somebody who has nothing to do with anything Tatar (Crimean, Romanian, or otherwise) is put into a position here to discuss matters related to Crimean Tatar, and even feels entitled to demand deletion of its keyboard layouts. Mişu doesn't have the knowledge of either the language or anything related to its plight. Again, this whole situation is provoked by inadequate, illogical and highly politicized user interface.

(In reply to comment #7)
> Crimean Tatar is listed in the UNESCO Red
> Book as a SERIOUSLY ENDANGERED language in Europe with the following
> observations: "among younger people, many individuals may be less competent in
> Crimean Tatar" and "a small number of children learn the language, but few if
> any of them become active users"[1].
First of all, the information here may be outdated, the accuracy here is disputable, and status classifications quite arbitrary. In particular, this document calls the language used by Romanian Tatars Noğay, not Crimean Tatar, whereas they themselves call it (Crimean) Tatar, expressly not Noğay. If you believe this document, then you should look at this link[1] for status, which shows it as ENDANGERED, not seriously...
Secondly, even SERIOUSLY ENDANGERED languages, for any rational person, have to be included in software solutions as much as possible to help them from going extinct. And, this project already includes, for instance, Kashubian, which IS listed in this document as SERIOUSLY ENDANGERED[2].
What kind of compatriot or human are you, if you trying to kill off a language of your compatriots, paying taxes to your country's budget, and writing poems about how much they love there motherland, Romania?

> This is especially true in Romania, where
> the number of Tatars is low (~22000 people) and the population is not as
> compact as in Ukraine or Uzbekistan.
Population in Crimea was very compact centuries ago, and relatively so at the beginning of the 20th century. After all the expulsions, today the population there isn't nearly as compact. From that viewpoint, there may be no difference between Romania and other countries.

> Take for example the official online
> forum for Romanian Tatars[2], almost everything is in Romanian, with bits of
> Turkish and virtually no Crimean Tatar.
You stumbled upon 1 site here and 1 sentence there, and are drawing conclusions like the language is "almost dead", so "let's just kill it off." You really need to realize how shameless, pathetic and silly it looks to do so, when you have no business doing anything about Crimean Tatar language, let alone engaging in destructive and even more provocative endeavors than the current politicized keyboard layout selection interface. Please see below.

> More so, when they do write in their native language, Romanian Tatars do not
> use diacritics usually. Or they use the Turkish ones at most (sometimes
> excluding ǧ). Their explanation was that "it is hard to write Crimean Tatar
> with diacritics when there is no standard"[3].
First of all, there are some inaccuracies in the response you got. In particular, the user may have just typed Romanian letters instead of the proper ones, because he doesn't have access to a Crimean Tatar keyboard layout. Any sober and rational person would probably conclude from this, that it would be nice to facilitate people's access to Crimean Tatar keyboard layouts. But what did Mişu conclude instead: let's delete Crimean Tatar keyboard layouts. I'm urged to quote Muhammad Ali: What have you been smoking?
Also, dropping diacritics in day-day correspondence is something that even people writing in Turkish do quite often: most often, it is done for technical reasons, such as not knowing how to configure keyboard layout, or because using diacritics causes encoding issues (yahoo groups suffer from this a lot). Following Mişu's logic, maybe we should delete all the Turkish layouts as well (it's a joke, but no smiley here, because there's nothing funny for me in these kinds of logic)?
If you had anything to do with it, you'd know that the language is being used: in daily life, in books, and periodicals (and when it's used in print, it's always used with diacritics). I just clicked on a couple of links from the very forum that you referred to. Here is some proof that the language is being used.
1. Wedding video[3] (there was no Turkish or Romanian in this video; some here speak so fluently, that if they spoke any more fluently i'd have a hard time following them).
2. A poem, including diacritics (which are provided by Crimean Tatar keyboard layouts, just as those in item 3. are)[4]:
Hawa arüw! Kök masmawı!
Murfatlar’nıñ yeşíl tawı
Bügün köp müsafír bekliy;
Kelgenlerní bek aybetliy.
...
3. And here's a reference to a peridical published in Romania[5]. I'm quoting a few lines that impressed me:
Menĭm tĭlĭm uzatılgan kol,
Kara künlerde körĭngen col.
Menĭm tĭlĭm dostlıkka bol,
Kök mawıga, tarakka töl.


These are just a few examples, 2 of which i just stumbled upon on or after making a couple of clicks from the referenced forum itself.
Of course, there are also publications which are not on the Internet.

Now, a bit more about Mişu's distortions and hypocritical behavior. On the forum that Mişu referenced, Mişu (dumol), posted the following and got the following responses:
1. Mişu asked about how big a percentage of the Tatar population in Romania is fluent in Crimean Tatar language (speaking, reading and writing)?
The answer was: 
Romanian: Mai mult de 95%, conform statisticilor din 2002.
I.e.: More than 95%, according to statistics from 2002.
2. Then Mişu said that he would particularly appreciate an informal assessment, within the Tatar community, on the percentage of fluent speakers among the Crimean Tatars in Romania. (Essentially the same question, fishing for a different answer.)
The answer was: 
Romanian: Ok, sa reevaluam procentul de vorbitori de tatara. Poate in cercul meu de cunoscuti sunt mai multi, nu stiu ce sa zic, dar 80-85% chiar e realist.
I.e.: Ok, to reevaluate the percentage of speakers of Tatar. Maybe in my circle of acquaintances it is higher, I do not know what to say, but 80-85% is really realistic.

Correct me if i'm wrong, but the answer also mentioned that in 50 years in Constanta, Tatar language will be used to teach physics!
3. Also, on the forum, Mişu gave the appearance of trying to make available a Crimean Tatar keyboard layout for people to use. In particular asking which they would prefer: F, Q or Alt-Q?
The answer he got mentioned some letters that should be included, and continued as follows:
Romanian: Cred ca ar putea fi montate asemeni diacriticelor romanesti, pe [,]\;',. fiind astfel foarte facile pentru cei care folosesc mai multe limbi la calculator
I.e.: I think it could also be fitted with Romanian diacritics on [,]\,'. making it very easy for those who use multiple languages on their computer.

In other words, the user that replied wanted to use a Crimean Tatar keyboard layout, and also wanted it to include Romanian diacritics. That is what is currently made available for Linux users, and it will eventually be available for users of other operating systems as well.
4. A user on that forum said he doesn't know Tatar language. 
Another user was suprised that he doesn't, asking how old he was, and saying that she was curious how it is that he doesn't know Tatar language:
Romanian: apropo, cati ani ai?
sunt curioasa cum de nu stii limba tatara..

> So I propose to exclude them from the Romanian XKB file.
So, it was hypocritical of Mişu to look like someone wanting to do something good for Crimean Tatar language on that forum, while asking for Romania-specific Crimean Tatar keyboard layouts to be deleted or disappeared here. It was also hypocritical of him to misrepresent the answers he got on the forum: those answers are counter to what Mişu proposed here. Knowing nothing about Mişu i can safely conclude that he is not a lawyer, because if he was he'd be losing cases with the arguments he himself makes.
In conclusion, Mişu hasn't established a single reason to exclude anything, and doesn't even have any rights to propose such a thing, and he has nothing to do with the language. Please deal with languages you have something to do with.

That said, i do agree that Romanian users shouldn't have to see other languages when they look for a keyboard layout. To achieve that, i do hope that Romanian users will support and contribute to fixing bug 19978, which this bug is a duplicate of.

----------------
[1] http://www.helsinki.fi/~tasalmin/europe_report.html#Nogai
[2] http://www.helsinki.fi/~tasalmin/europe_report.html#Kashubian
[3] http://www.youtube.com/watch?v=tbSqnzn7NoE&feature=related
[4] http://forum.softpedia.com/index.php?s=&showtopic=692285&view=findpost&p=9527958
[5] http://aton.ttu.edu/pdf/KARADENIZ_Gazetesi_Nisan_2003.pdf
Comment 11 Reşat SABIQ (Reshat) 2011-03-09 22:39:37 UTC
(In reply to comment #8)
> First,
> Technically I am planning to merge extras/* into symbols - but I will leave
> them in base.extras.xml. That way, they will stay "hidden" from the GUI tools
> but from things like setxkbmap etc they will (and they are now!) valid
> variants.
> 
> I do not mind moving Romanian Crimean Tatar variants from base.xml.in to
> base.extras.xml.in. Of course, I would like to hear Reşat's opinion.

What a nerve. February 5th is already a black day on the calendar (at least for me) after your abusive actions. Crimean Tatars in Bulgaria won't see a keyboard layout to use in the default workflow, also because of your actions, and the current politicized user interface design. You couldn't even keep you hands off the comments section of the contributions made for Crimean Tatar keyboard layouts! A section in which most people type whatever they feel is relevant. I can't believe you are even talking about anything like this again.

Crimean Tatar language is not an extra. Your chauvinistic tendencies emerging time after time, on the other hand, are an extra that you should get rid of. You have no right to delete or disappear anything having to do with a language that you have nothing to do with.

What you should do is discuss, without any precondition(s) (you managed to put a precondition (not going to discuss a certain approach) in the very beginning of the discussion last time), the approaches of depoliticizing the keyboard layout selection user interface, and work on actually getting it depoliticized as soon as feasible, possibly doing a short-term quick fix before a longer term nicer fix. More on that shortly...
Comment 12 Reşat SABIQ (Reshat) 2011-03-09 22:55:14 UTC
(In reply to comment #9)
> Actually, knowing already about the "extras" section, my target these days was
> to find which layouts really are used by the Tatars in Romania and advise
> XKeyboardConfig maintainers to move them in this exotic section. But, after
> weeks of investigations, my conclusion is that there really aren't any such
> layouts in use in Romania, unfortunately.
As indicated above, the language is alive; therefore layouts for it must be provided. Moreover, even dead languages like Church Slavonic and Gothic can and should have keyboard layouts provided for them.
To re-iterate, if somebody has nothing to do with a language, that somebody has no right to delete or disappear anything having to do with that language. It is up to that language's community to make decisions having to do with their language.

> On the other hand, let's analyse a bit the already included layouts... They
> look like experiments on top of other experiments, being based on the Tatar
> layouts marked as experimental in the Turkish XKB file (as noted in the
> comments). 
First of all, the main reason that word "experimental" was put in comments, is because there is a possibility that in the future a different mapping could be chosen for letter 'x'. 
Secondly, this isn't the first occasion where this word has been used in comments for a keyboard layout. 
Thirdly, that word should probably be replaced with something else, because an experiment implies a successful or an unsuccessful outcome, whereas in this case, an unsuccessful outcome isn't possible: if a letter is mapped to a different key in the future, or some other such changes are made, that will not make these layouts a failure, just like a software update doesn't make its previous release a failure, and just like changes to mappings of certain keys are made for many keyboard layouts in this project every year.
Fourthly, you obviously have little understanding of and little experience with open source keyboard layouts. Otherwise, you would have been aware that by far not all of them implement a standard. Please see the following section below in this comment (surrounded with ---- strings):
Excerpts from comments indicating personally decided upon or possibly incorrect aspects of provided keyboard layouts. 

Some comments contain such personalized decisions like "I do NOT like", "doesn't fit my needs", "I may have made some mistakes.", "This is a partial implemetation ", "I was mostly interested in ", etc. I must say, that there is nothing personalized like that in Crimean Tatar keyboard layouts currently provided. There is nothing possibly incorrect in them, and they were implemented in the spirit of unity, not personalization, by simply adding mappings for extra letters.

> ... why is a foreign person including in the Romanian XKB file four
> layouts built on top of some experiments in the Turkish XKB file ...?
The keyboard layouts have been provided by 2 co-authors. Özgür Qarahan, a co-author of these keyboard layouts, is a son of a prominent Romanian Tatar, who is actively involved in the Romanian Tatar community, including linguistic matters. He was actively involved in discussions and decisions related to layouts for Tatars in Romania, and we considered various possibilities of mapping the letters that need to be mapped. We have discussed eventual standardization of such keyboard layouts, and would welcome any feedback from people that are related to, love, cherish, care about, and use Crimean Tatar language, but not from strangers whose motivation is to delete or disappear Crimean Tatar keyboard layouts, and kill off the language. There are more pressing issues on Crimean Tatar agenda at the moment, but eventually there will be a standard for keyboard layouts for Crimean Tatar. These layouts are the first step in that direction, and it is very likely that the layouts currently provided will be standardized with only changes for one or a few letters, and it is possible that they will be standardized as is.

> That's why I propose to exclude these experimental
> layouts from the XKeyboardConfig project and only include one or more Crimean
> Tatar keyboard layouts to the Romanian section after we see some real use of
> them from the Romanian Tatars. I applaud the activity of the people that fight
> for a revival of the Crimean Tatar language in Romania, but the sad truth is
> that odds are strongly against them and currently they see virtually no use.
Once again, you are being hypocritical in your statements about the status of Crimean Tatar language in Romania. Please re-read comment #10 (it would be superfluous for me to repeat myself). And, you make no sense: you are asking for something to be included after it gets some use, while at the same time preventing it from getting some use by deleting it first. You are contradicting yourself again and again...
Finally, i've mentioned this before, and feel compelled to repeat it: Crimean Tatar keyboard layouts provide a superset of Turkish keyboard layouts, and, until the user interface is depoliticized, are meant to be used by Romanian Turks (some would add: who are no Tatars) as well, unless you actually want to have Crimean Tatar layouts, and Turkish layouts under Romania. A relevant phrase here is Türk-Tatar, also mentioned by a Turkish consulate official in the following video (which i didn't search for, but just accessed from the forum that Mişu himself referenced):
http://www.youtube.com/watch?v=E2s372m2-g4


> I also await Rehat to debate this even further, I'm far from done... :)
My 2 cents on the smiley: When you are trying to send some people to the back of the bus as second class citizens, smiling only makes an outrageous act even worse... That smiley didn't lighten up my mood at all.

------ Excerpts from comments indicating personally decided upon or possibly incorrect aspects of provided keyboard layouts (while there is nothing personalized or possibly incorrect about Crimean Tatar keyboard layouts provided): ------
us:
// I do NOT like dead-keys - the International keyboard as defined by Microsoft
// doesn't fit my needs. Why use two keystrokes for all simple characters (eg '
// and <space> generates a single ') just to have an é (eacute) in two strokes
// as well? I type ' more often than é (eacute).
//
// This file works just like a regular keyboard, BUT has all dead-keys
// accessible at level3 (through AltGr). An ë (ediaeresis) is now: AltGr+"
// followed by an e. In other words, this keyboard is not international as long
// as you leave the right Alt key alone.
//
// The original MS International keyboard was intended for Latin1 (iso8859-1).
// With the introduction of iso8859-15, the (important) ligature oe (and OE)
// became available. I added them next to ae. Because I write ediaeresis more
// often than registered, I moved registered to be next to copyright and added
// ediaeresis and idiaeresis. - Adriaan

fr:
// Marc.Shapiro@inria.fr 19-sep-1998
// modifications : Etienne Herlent <eherlent@linux-france.org> june 2000
// adapted to the new input layer :
//        Martin Costabel <costabel@wanadoo.fr> 3-jan-2001
// adapted for Latin9 alphabet (ISO-8859-15):
//        Etienne Herlent <eherlent@linux-france.org> march 2005

// This map is an almost-complete mapping of the standard French
// MacIntosh keyboard under Xwindows.  I tried to remain as faithful
// as possible to the Mac meaning of each key.  I did this entirely by
// hand and by intuition, relying on the Clavier (Keyboard?) Desktop
// Accessory for the Mac meaning of keys, and on reading keysymdef.h
// to intuit the corresponding X names.  Lacking proper documentation,
// I may have made some mistakes.

// Entries marked CHECK are particularly uncertain

// Entries marked MISSING mark Mac characters for which I was unable
// to find a corresponding keysym.  (Some for sure don't: e.g. the
// Apple mark and the oe/OE character; others I may have simply not
// found.)
...
// This layout has long been distributed and refined outside official channels.
// To this day it remains more feature-rich and popular than the 'fr' layout.

cn:
// I roughly copy the Windows Vista mapping, which was intended by the
// designer of the keyboard, with the following exceptions:

il:
// This is a partial implemetation of the Israeli standard SI-1452
// It does not implement changes to the English layout ("Alt-English"),
// as I believe that it is not the job of this layout to modify the English
// layout.

in:
// Devangari is the default. Kill me if I am wrong:)
...
        // I added \ / ? | for shell-convenience (file names and piping)

is:
//   Initial cleanroom writing of the keymap, I just booted Mac OS X, opened
//   TextEdit.app and wrote down what the value produced by each key was when I
//   pressed it, a for a, A for shift + a, å for lalt + a etc and made the
//   keymap from that information
...
// Maybe someone else will make a "full" attempt at an Icelandic layout
// but I was mostly interested in continuing to type English comfortably
// as a primary function while being able to type the full Icelandic
// alphabet as a secondary function.

kz:
// Contact: Walter Bender <walter@laptop.org>

// We moved the Cyrillic IO off of the Tilde Key as an Alt-GR character
// and moved it onto the Backslash key, making Backslash and Bar available
// through the Latin side of the keyboard.

mv:
// The following brackets are as they appear on the US_en keyboard.
//Please verify whether the names used are correct. I referred to keysymdef.h
...
//I used singleloquotemark- if this is the wrong name, please replace with the name for the
//standard US_en keyboard format- its the same in the Thaana phonetic keyboard
...
//multiply sign is the same as the algebraic symbol which looks like an italicized x. I am presuming its the same thing here. If not, please substitute an 'x' instead
Comment 13 Mișu Moldovan 2011-03-09 23:42:13 UTC
Oh man, this is not going to be fun... First, let's cut through the bullshit and clear some facts: I've been contributing to the Romanian XKB section since 2001 so please refrain from personal attacks such as "you obviously have little understanding of and little experience with open source keyboard layouts". More so, I'm a native Romanian and live in Romania, so in matters regarding the Romanian section in XKB, you are actually "the stranger", not me...

To the point, and as a crystal clear example, let's discuss the first layout included by you in the Romanian XKB file: the one based on the Turkish-F layout. Any person in touch with the Romanian realities can tell you this is not suited for Romania! It probably is useful for a Tatar in Turkey, but of no use whatsoever in Romania, where there are virtually no Turkish-F keyboards in use. Romania is full of US layout keyboards, it's *very* hard to find a Romanian one and I've certainly never seen a Turkish-F keyboard.
Comment 14 Reşat SABIQ (Reshat) 2011-03-10 01:08:11 UTC
(In reply to comment #13)
> Oh man, this is not going to be fun... First, let's cut through the bullshit
> and clear some facts: I've been contributing to the Romanian XKB section since
> 2001 so please refrain from personal attacks such as "you obviously have little
> understanding of and little experience with open source keyboard layouts". More
> so, I'm a native Romanian and live in Romania, so in matters regarding the
> Romanian section in XKB, you are actually "the stranger", not me...
The fact that you've made some statements that you've made while you've actually contributed to Romanian XKB files shows 1 of 2 things: 
a. you thought you could mislead people here
OR
b. you contributed without actually grasping the philosophy involved
Regardless, that doesn't matter.
As i've mentioned, and touch on again below, my preference was to have a separate symbols file for Crimean Tatar, similar to Arabic, and latam. The only reason you are seeing anything in Romanian XKB file, is because Sergey insisted on it, and even wrote it in his self-proclaimed rules by which the whole world should abide. So, as far as i'm concerned, we have Crimean Tatar layouts that are not listed under countries directly, but Sergey moved them under each individual country. And, the current UI requires them to be shown under specific countries by default. We haven't modified anything in Romanian keyboard layouts, we just added Crimean Tatar layouts. Your issue is not with Crimean Tatar keyboard layouts, but with the current inadequate, illogical, and highly politicized keyboard layout selection UI: and this UI issue doesn't entitle you to anything, except asking for the UI issue to be resolved.

> To the point, and as a crystal clear example, let's discuss the first layout
> included by you in the Romanian XKB file: the one based on the Turkish-F
> layout. Any person in touch with the Romanian realities can tell you this is
> not suited for Romania! It probably is useful for a Tatar in Turkey, but of no
> use whatsoever in Romania, where there are virtually no Turkish-F keyboards in
> use. Romania is full of US layout keyboards, it's *very* hard to find a
> Romanian one and I've certainly never seen a Turkish-F keyboard.
The same is true for Turkey. But as you must know, some people in various countries prefer to use a certain logical layout, even if they don't have the matching physical keyboard. 
You are not a police officer to have the right to interrogate somebody here. To re-iterate, if somebody has nothing to do with a language, that somebody has no right to delete or disappear anything having to do with that language. It is up to that language's community to make decisions having to do with their language.
The matters of Crimean Tatar language are already too complicated, because they involve united decision-making by communities in Crimea, Romania, and Turkey, at the very least. There is no place for additional complications and interference here, especially those caused by artificially created issues.
Mişu, the only thing you are entitled to is supporting the fix for bug 19978, of which this bug is a duplicate.

Talking about the essence of this bug and bug 19978 per se.
First of all, i have to re-iterate again what the issue is. The problem is the following: 
The UI shows to Romanian users keyboard layouts that they don't need to see.
In fact, it has become clear that the issue can be stated as follows as well:
The UI shows to Romanian users keyboard layouts that they not only don't need to see but that at least some of them also don't want to see.
(So much so, that some are motivated enough to spend a lot of time to argue about deleting or disappearing them; despite the fact that an average user at most would open the keyboard layout selection UI once in maybe 3 months (and many would probably only touch it once a year)).
In a nutshell: this is an extremely low impact, perception and sentimentality issue caused by inadequate, illogical and highly politicized user interface.
I.e., this is not an issue with Crimean Tatar keyboard layouts, but with the inadequate, illogical and highly politicized user interface.
And it is quite easy to prove:
if there was something to be done about Crimean Tatar keyboard layouts, such as moving a letter from one key to another, or adding another letter mapping, etc., such point(s) would be made by speakers of the language. But what we have seen here is renewed interference from people who don't speak the language, don't care about it, and in general have nothing to do with it.

While several Romanian users here are not the root cause of the issue, but are rather victims of the inadequate, illogical and highly politicized user interface (just as Crimean Tatar keyboard layouts have been victimized and are being threatened with deletion and disappearing now), I have to draw attention to these troublesome symptoms:
a. "Too many crimean tatar keyboard layouts added for Romania" (the subject line of the closed Ubuntu bug: https://bugs.launchpad.net/ubuntu/+source/xkeyboard-config/+bug/418939)
Have you noticed anything wrong?
Let me spell it out for you: the 3rd and 4th words should have been "Crimean Tatar".
b. "I also await Rehat to debate this even further, I'm far from done... :)" (from Mişu's Comment 9).
Have you noticed anything wrong?
Should have been Reşat, since Mişu apparently has access to Romanian layout, or if he doesn't: Reshat (English spelling as shown in parentheses) or Resat (as an ASCII equivalent of Reşat, of Mişu is apparently aware).

Now, i have not been aware of chauvinist tendencies among Romanians, but these 2 examples really smell of disrespect, at the very least. 

That said, I do not care if somebody disrespects me or the language i hold dear to my heart, as long as they do it privately, and don't try to do anything distructive, like deleting or disappearing the keyboard layouts needed to write in this precious language (or burn books written in it, etc.). 

I'm also fairly confident, that if such an artificially created issue didn't exist, disconcerting phenomena like the above would be far less likely to happen. I can speak for myself too: I'm a fan of Romania and Moldova, and in general want the best for both of them (or one country if they end up unifying). At the same time, this artificial issue (and it alone) is making a part of me question whether i should feel so sympathetic to Romania (and Moldova).

So once again, I want to be clear about the root cause and where the responsibility and the solution of this perception issue lies:
the issue has nothing to do with Crimean Tatar keyboard layouts per se, and it has nothing to do with Romanian computer users per se, this is an artificial issue that has arisen due to the inadequate, illogical and highly politicized user interface, which leads to Romanian users seeing layouts of a language they have nothing to do with. If this inadequate, illogical and highly politicized user interface is depoliticized, the issue will be resolved: in that Romanian users won't see layouts they don't have anything to do with stuck in front of their faces, and Crimean Tatar layouts will be accessible without artificial layers to those who want to use them. And i'm sure, if such artificial issues aren't made up, Romanian people in general will get along with their Crimean Tatar compatriots just fine.

(In reply to comment #4)
> And i have to remind readers, that Sergey
> explicitly said that Crimean Tatar layouts have to be listed, in
> xkeyboard-config, under specific countries.
I personally think having POLITICAL ENTITIES FIRST when dealing with locale-specific (i.e., LANGUAGE FIRST) keyboard layouts in general is silly, and it is especially inappropriate for Crimean Tatar language. I proposed implementation file similar to Arabic or Latin American, but Sergey refused and i simply didn't want to argue on that point any more (even though i didn't agree with his artificial, politicized, self-proclaimed rules). However, that alone would only make Crimean Tatar layout listing by language prettier, to address the issue of Romanian users seeing layouts they have nothing to do with we'd still need to depoliticize the UI, by getting rid of the listing by country first (country info can be reflected in various ways, similar to Mac or Windows, or different from them as long as the languages, or locales (language+country) are listed first in general, with possible exceptions for special cases).

So, in the end, what is the biggest obstacle at the moment to solving this issue? I have not seen any objections from Romanians to depoliticizing the keyboard layout selection user interface. Au contraire, i've seen support from a Romanian computer user to depoliticize the keyboard layout selection UI on Linux:
https://bugs.launchpad.net/ubuntu/+source/xkeyboard-config/+bug/418939/comments/14.

So, while Sergey here is claiming to be neutral, with regards to Crimean Tatar keyboard layouts he in fact has been nothing but prejudiced (to say the least) from the very beginning, and if he continues to block depoliticization of the user interface (and underlying config files, if and when needed), then he in fact is the person responsible for the Romanian users' experience.

I have just updated bug 19978. My Romanian friends, if bug 19978 is fixed, then you will achieve not seeing Crimean Tatar keyboard layouts in the keyboard layout selection interface. If not, then you will have to grow in your tolerance of the words Crimean and Tatar. After all, the issue for you is simply cosmetic: seeing and ignoring something. Those menu items are not going to harm you, or Romanian keyboard layouts, or Romanian language, or Romania as a country. Please exert some energy to get bug 19978 resolved.
Comment 15 Reşat SABIQ (Reshat) 2011-03-10 01:14:27 UTC
This has been discussed with a representative of ROMANYA MÜSLÜMAN TATAR-TÜRKLERĬNĬÑ DEMOKRAT BĬRLĬGĬ.
The following is the mutually agreed upon assessment of this matter:

It is not acceptable for people who have nothing to do with Crimean Tatar language (especially those who do not know it, and care about it) to interfere in its affairs.

Matters related to Crimean Tatar keyboard layouts will also be decided by Crimean Tatar representative organs, in the spirit of unity.

In particular, concerning keyboard layouts on Linux OS, the root cause of the current debate relating to Crimean Tatar keyboard layouts is the politicized design of the current keyboard layout selection user interface. When selecting a keyboard layout, it is inappropriate to have to select a country first in order to be able to select a keyboard layout for each and every language. If the keyboard layout selection user interface is depoliticized, such artificial and unnecessary issues will be resolved and will not arise again.

*** This bug has been marked as a duplicate of bug 19978 ***
Comment 16 Daniel Stone 2011-03-10 01:43:52 UTC
(In reply to comment #10)
> In conclusion, Mişu hasn't established a single reason to exclude anything, and
> doesn't even have any rights to propose such a thing, and he has nothing to do
> with the language. Please deal with languages you have something to do with.

This is great.  First you whinge in the other bug about how Sergey has no right to reject your proposals and doing so makes him akin to Ben Ali, and now you're whinging in this bug that Mişu has no right to raise proposals and doing so makes him akin to whoever it was killed/dispersed the Tatars?

I'll be honest here: I don't know much about Crimean Tatars, or Romania in general.  I'm not an expert on the history.  But I do know that whenever a bug comes up relating to the layouts, it's going to be excessively long, and full of whiny children insulting each other, getting upset about spelling, refusing to accept decisions, comparing people to dictators and mass-murderers, claiming that Crimean Tatars have no place in this discussion because it's about Romanian, claiming that non-Tatars have no place in this discussion because it's about Tatars, and other equally exciting crap.

It's not a good PR move for your respective communities.
Comment 17 Mișu Moldovan 2011-03-10 02:40:55 UTC
Oh my... I hate to discuss personal and political issues when trying to solve technical issues. I'll keep it short: First of all, I'm sorry if I've misspelled your name, but you are doing the same with my name and it really doesn't hold any relevance. Secondly, you are judging these issues like a foreigner and it shows: you got some facts wrong while trying to understand the thread on Romanian Tatars on the softpedia.com forum, probably because of some automatic translation tool. Some conclusions are plain funny (like you thinking that Physics will be taught in Tatar 50 years from now in Constanța), others are plain offensive (when accusing me of treacherous behavior). Anyway, purporting such accusations here is immature to say the least and ultimately unproductive in resolving technical issues.

Now to the issue AT HAND: the presence of a Turkish-F layout in the Romanian section. The situation in Romania is not the same as in Turkey. This layout is a national standard in Turkey and it is used in Turkey "alongside [...] modified QWERTY keyboard [...] used on most computers in Turkey"[1]. In Romania it is just a foreign oddity and virtually of no practice use... On a related note, please refrain from using as an argument the fact that there is a Turkish minority in Romania, the current country-oriented structure of XKeyboardConfig means that Turks will find their keyboard layouts in the "Turkey" section. I am sympathetic with the inclusion of one or more Crimean Tatar layout, given the fact that they have no country. But only if there is some REAL USE of these layouts in Romania.

Which brings me to the cause of changing the country-oriented structure of XKeyboardConfig. While I understand some of the limitations of this orientation, we Romanians are generally not against it "per se" and I see this bug report more as an attempt to get rid of the artificial layouts in the Romanian section, like the Turkish-F layout and possibly others. Can we move along to discuss the others Crimean Tatar layouts in the Romanian section or is there any new info relevant to the Turkish-F one? Thanks!

 1. http://en.wikipedia.org/wiki/Keyboard_layout#Turkish
Comment 18 Sergey V. Udaltsov 2011-03-10 04:13:18 UTC
Oh my... Entertaining bug indeed.

Ok, if I skip all irrelevant BS, I can summarize the following statement: there is no evidence CT variants are going to be used in Romania, so I do not see any need to have them there.

Since they are just included from Turkish files, it will be easy to revert that decision whenever necessary.

A bit of personal remarks:

Reşat, thanks for the time you spend on extensive and emotional answers. When I summoned you, I expected some useful feedback, but it is very difficult to extract it from your comments. My mistake, next time I will try to refrain from calling you.

And yes - as long as this project is managed by me, it is myself who sets (and breaks) the rules. I can discuss things with other people, but the final decision is mine. That's Open Source - fork if you like.

Mișu, I am kindly asking to ignore personal offenses here - it is just the way we usually discuss THESE layouts.

Daniel, thanks for trying to calm the guy down - but as you've already seen before, that does not work.
Comment 19 Reşat SABIQ (Reshat) 2011-03-10 23:42:38 UTC
(In reply to comment #16)
> This is great.  First you whinge in the other bug about how Sergey has no right
> to reject your proposals
What i said specifically was this: "I'm not saying this is the
best option, but it's an option and ruling it out right away is unacceptable."
Rejecting after letting it be considered, weighing pros and cons is one thing, "Not going to discuss." right away is completely different.

> Mişu ... doing so
> makes him akin to whoever it was killed/dispersed the Tatars?
I have not said anything like. If you can - quote me using these words with regards to Mișu, as you are claiming here. You can't.

> It's not a good PR move for your respective communities.
Romanians don't want to see Crimean Tatar keyboard layouts under Romania, which the current 
keyboard selection UI is showing to them. You could have played a positive role, by supporting a depoliticized UI.
Instead, apparently after only skimming the comments, and misunderstanding here and there, you are only adding fuel to the fire.
Comment 20 Mișu Moldovan 2011-03-11 04:12:29 UTC
(In reply to comment #19)
> Romanians don't want to see Crimean Tatar keyboard layouts under Romania, which
> the current 
> keyboard selection UI is showing to them. You could have played a positive
> role, by supporting a depoliticized UI.

Lucian (the original reporter) and myself said it already that we have nothing against one (or possibly more) Crimean Tatar layouts in the Romanian XKB file, as long as they are used by the Crimean Tatars in Romania. But we doubt these four layouts included by you see any use.

Because, on one side, it's obvious there is no standard for a Romanian Crimean Tatar layout mostly because almost nobody would use a Crimean Tatar layout in Romania. On the other side, your layouts seem outlandish. I've tried to discuss with you the possible reasons for your experiments and I've started with the Turkish-F based layout, but you would rather argue on other non-technical matters, it seems...

Now, for the third time, do you have anything relevant to say to support the presence of a Turkish-F based layout for the Crimean Tatars in Romania? Thanks!
Comment 21 Lucian Adrian Grijincu 2011-03-11 06:30:31 UTC
Reşat: the reason I abandoned this bug was that I can't bare to read 100 km of text about ugly history every time you respond. All of the people in this thread are aware of such things, so please refrain from these in this bug.

You have proposed a solution to this problem (maybe it's better, maybe not, I won't comment here), but the maintainer has rejected it. As he is the maintainer, he's allowed to do whatever he may want with his project. If your solution is really better, you can fork xkeyboard-config, make it public, show that it solves N problems and maybe distributions will pick it up and drop xkeyboard-config. Until then please keep the discussion about that solution in it's separate thread.

Please don't spread lies like: "Romanians don't want to see Crimean Tatar keyboard layouts under Romania". We're only concerned about the usefulness of these layouts to the Romanian Tatar community.
Comment 22 Lucian Adrian Grijincu 2011-03-11 06:40:56 UTC
We're Romanians, you're a Tatar (hope I'm not mistaking). Neither of us are Romanian Tatars, so neither of us know which keyboard layouts are really used and which not.

As Mișu points out, some of the keyboard layouts really don't seem well suited for Romanian Tatars, at least from our point of view as Romanians who know what kinds of keyboards are sold in Romania.


These layouts have been shipping for two years and the interested parties have had time to interact with them and see which are fitting for Romanian Tatars.


Unfortunately, neither I, nor Mișu were able to contact members of the Romanian Tatar community interested in Linux and keyboard layouts, but you do seem to have collaborated with some. Could you please contact them and have them respond here?
Comment 23 Mișu Moldovan 2011-03-21 05:13:48 UTC
10 days have passed, with no feedback from Reşat Sabiq or his Romanian Tatar collaborators... So I propose the following compromise: 

  * ditch the Turkish-F layout, it is completely unfitted for Romania

  * keep the Turkish Alt-Q (because it fits Romanian realities and Crimean Tatars have no country) and move it to the "extras" section because it sees little to no use

  * ditch the Dobruca layouts as they seem to be ad-hoc inventions. I couldn't find any references to them on the Internet, other than those related to the Romanian XKB file[1]. Nobody has ever implemented them in other keyboard compilations. More so, their naming is offensive to Romanians, because Reşat used the Turkish names of the Romanian "Dobrogea" region, not the English name of "Dobruja".

Should I submit a patch?

 1. http://www.google.com/search?q="Dobruca-1+Q"+OR+"Dobruca-2+Q"+-xkeyboard-config+-xkb+-xorg+-evdev
Comment 24 Sergey V. Udaltsov 2011-03-21 11:19:46 UTC
Sounds good to me. Feel free to submit the patch.

Just make sure that only Romanian section is affected.
Comment 25 Reşat SABIQ (Reshat) 2011-03-21 23:42:46 UTC
(In reply to comment #17)
> I'm sorry if I've
> misspelled your name, but you are doing the same with my name and it really
> doesn't hold any relevance. 
Sorry about that (but still, using ş instead of ș is not the same as using h instead of ş).
> Some conclusions are plain funny (like you thinking
> that Physics will be taught in Tatar 50 years from now in Constanța), others
> are plain offensive (when accusing me of treacherous behavior).
Well, i have a confirmation from Romania on what you posted and the answers you got:

<In reply to comment #10>
> Correct me if i'm wrong, but the answer also mentioned that in 50 years in
> Constanta, Tatar language will be used to teach physics!
The only thing i wasn't 100% correct about is this part. The poster actually said that 
in 50s physics lessons were taught in Tatar in Constanta.

You however acted deceitfully, to say the least, when you wrote your claims and proposals in comment 7, after you actually got the following responses to your questions (every single response you got was counter to your claims and proposals):
> Now, a bit more about Mişu's distortions and hypocritical behavior. On the
> forum that Mişu referenced, Mişu (dumol), posted the following and got the
> following responses:
> 1. Mişu asked about how big a percentage of the Tatar population in Romania is
> fluent in Crimean Tatar language (speaking, reading and writing)?
In Romanian: Cam cât la sută din populația tătară din România e fluentă în limba tătară crimeeană (vorbit, scris și citit)?
> The answer was: 
> Romanian: Mai mult de 95%, conform statisticilor din 2002.
> I.e.: More than 95%, according to statistics from 2002.
> 2. Then Mişu said that he would particularly appreciate an informal assessment,
> within the Tatar community, on the percentage of fluent speakers among the
> Crimean Tatars in Romania. (Essentially the same question, fishing for a
> different answer.)
In Romanian: Aş aprecia în mod deosebit o evaluare informală, din interiorul comunităţii tătare, a procentului de vorbitori fluenţi de limbă tătară crimeeană în rândul tătarilor din România.
> The answer was: 
> Romanian: Ok, sa reevaluam procentul de vorbitori de tatara. Poate in cercul
> meu de cunoscuti sunt mai multi, nu stiu ce sa zic, dar 80-85% chiar e realist.
> I.e.: Ok, to reevaluate the percentage of speakers of Tatar. Maybe in my circle
> of acquaintances it is higher, I do not know what to say, but 80-85% is really
> realistic.
> 3. Also, on the forum, Mişu gave the appearance of trying to make available a
> Crimean Tatar keyboard layout for people to use. In particular asking which
> they would prefer: F, Q or Alt-Q?
In Romanian: În limba turcă sunt trei aranjamente mai răspândite: F, Q şi Alt-Q. <snip> Ce folosiţi cei care mai scrieţi tătăreşte şi cu niscaiva diacritice?
> The answer he got mentioned some letters that should be included, and continued
> as follows:
> Romanian: Cred ca ar putea fi montate asemeni diacriticelor romanesti, pe
> [,]\;',. fiind astfel foarte facile pentru cei care folosesc mai multe limbi la
> calculator
> I.e.: I think it could also be fitted with Romanian diacritics on [,]\,'.
> making it very easy for those who use multiple languages on their computer.
> 4. A user on that forum said he doesn't know Tatar language. 
Romanian: Exemplul l-am dat din ce-mi aduceam aminte, eu nu stiu tatareste.
> Another user was suprised that he doesn't, asking how old he was, and saying
> that she was curious how it is that he doesn't know Tatar language:
> Romanian: apropo, cati ani ai?
> sunt curioasa cum de nu stii limba tatara..
</In reply to comment #10>

Please stop denying what's obvious. Your motivations, goals, and deceptions are clear to everybody. Let's not recycle this any more. I have better things to do.

And some day, history books will show how ridiculous and tragic a situation this is. People like Mișu should not be put into a position to discuss matters related to Crimean Tatar language, or any other language they have nothing to do with, let alone being put into a position of wanting, needing, or having to delete or disappear feature(s) of the software pertaining to afore-mentioned languages.
Comment 26 Reşat SABIQ (Reshat) 2011-03-22 00:05:56 UTC
(In reply to comment #23)
> 10 days have passed, with no feedback from Reşat Sabiq or his Romanian Tatar
> collaborators...
Instead of firing back right away, you should have taken some time to read the previous posts. I've already indicated in comment 15 that this has recently been discussed with a representative of ROMANYA MÜSLÜMAN TATAR-TÜRKLERĬNĬÑ DEMOKRAT BĬRLĬGĬ as well.

> So I propose the following compromise: 
What you proposed is total destruction: you have confirmed once again that your goal is deletion and disappearance of everything Crimean Tatar.
>   * ditch the Turkish-F layout, it is completely unfitted for Romania
Turkish F layout is optimized for the Turkish language, enabling faster typing speeds (by ensuring minimal finger movements). As you have probably read yourself from your own reference:
"With this scientific preparation, Turkey has broken 14 world records in typewriting championships between 1957 and 1995.[48] In 2009, Recep Ertaş from Turkey came in first at the 47th Intersteno congress at Beijing."
It has been included for the following reasons:
a. Crimean Tatar is very similar to Turkish, therefore if F layout enables faster typing than Q layout for Turkish, the same is true for Crimean Tatar. In that sense it is somewhat similar to Dvorak for English.
b. Crimean Tatars strive for unity in everything. If a Crimean Tatar in Turkey has access to a logical keyboard layout that enables faster typing, and a Crimean Tatar in Romania doesn't, than means the user in Romania is worse off than in Turkey, and there is less unity between communities. And these kinds of questions are not up to other ethnic communities.

You keep focusing on physical keyboards. This project doesn't manufacture physical keyboards. It's about logical keyboard layouts. Dvorak keyboards are also a rarety. And Dvorak layouts should be provided by this project because it's possible possible to use them without a physical Dvorak keyboard: there are all kinds of approaches mentioned from rearranging keys, to pasting labels on top on them, to putting a printout of the keyboard on the wall and memorizing keys that way. All of this is also applicable to Crimean Tatar, plus many Crimean Tatars travel to and from Turkey, so even obtaining a physical F layout is possible, although i want to emphasize again that physical layouts are not a requirement. I'm sure a lot of the layouts in this project do not have physical keyboards for them (from layouts for small or extinct languages like Church Slavonic, Inuktitut, etc. to even a number of layouts for popular languages).

>   * keep the Turkish Alt-Q (because it fits Romanian realities and Crimean
> Tatars have no country) and move it to the "extras" section because it sees
> little to no use
Again, you are demonstrating you irrelevance to Crimean Tatar issues. Alt-Q is the most specialized layout even for Turkish: it's mostly included for people who mostly type using standard latin letters in Q layout, and occasionally need access to letters in their language with diacritics. The biggest use-case for this layout is web developers, and coders. This layout is also not included on Windows or Macintosh, and appears to be a Linux contribution just to expand users' choices. It would be quite tedious to type a text for a book or a magazine, etc. in Crimean Tatar using this layout.

>   * ditch the Dobruca layouts as they seem to be ad-hoc inventions. 
These are the layouts that are in fact the most relevant to Crimean Tatars in Romania.
> More so, their naming is offensive to Romanians, because Reşat
> used the Turkish names of the Romanian "Dobrogea" region, not the English name
> of "Dobruja".
Again, you don't know what you are talking about. Dobruca is a Crimean Tatar spelling, not Turkish. I've seen it spelled as Dobroca as well, but in my experience more often in Crimean Tatar it's spelled Dobruca, and that's the spelling used (considering there are examples of this spelling in Crimean Tatar from Romania, Crimea, and Turkey).
If English spelling of Dobruja is considered more appropriate, that's a simple spelling change outside of the keyboard layouts in symbols/. If you want to see a more nationalistic spelling of Dobrogea even that probably won't be a problem: it's not about the name (even though from what i've read this region wasn't really part of Romania until about 20th century, and Romania was even surprised that it was given to it).
On a tangent note, there would be no problem registering an ISO language variant code for Romania Tatar...

What Sergey's reluctance to depoliticize the UI has brought about is a Caucasian knot, Romania edition. A simple, rational, open-minded discussion to depoliticize the UI could easily resolve it without this silly zero-sum game.
Comment 27 Sergey V. Udaltsov 2011-03-22 01:53:37 UTC
I wonder, would it be possible to find 2nd opinion from someone who understands the issue from the Crimean Tatar POV. Clearly, there is communication problem here which is most probably unresolvable.

Reşat, I will most probably support whatever decision Mișu makes. Just because of the difference in the discussion style - and because I have no personal opinion on the matter (and no bias against any nation). Think about it.

PS I guess everyone got the joke about "rational" discussion. Very funny.
Comment 28 Mișu Moldovan 2011-03-22 02:09:56 UTC
I will provide a patch later but this message is mostly for Reşat, as probably
no one else is interested... Please excuse me from polluting FDo's Bugzilla and
your mailbox with this final overly long clarification of facts from me as I'm
also trying to clear my name in response to some accusations.

Dear Reşat, I admire your persistence and idealism, but you'll have to accept
the realities here and stop fighting windmills:

 1. Crimean Tatar is on the verge of extinction in Romania. Everywhere you look
on the Internet they discuss among them in Romanian. As I found on the
Softpedia forum and in other places, the Tatars are a proud nation and they
rarely recognize this in public. However, besides all the sites[1] and blogs[2]
that acknowledge this and call for immediate action to salvage the language,
here's a rare sincere testimony from a Romanian Tatar on a blog[3]: "Marea
majoritate a tatarilor/turcilor din Dobrogea abia daca stiu sa lege doua
propozitii. In plus limba care se vorbeste este foarte limitata si neomogena.
Ne place sau nu limba de facto este romana." It says: "The vast majority of
Tatars/Turks in Dobrogea can barely articulate two phrases. More so, the spoken
language is very limited and non-standard". Yes, I know this is a rather
extreme point of view, but it counterbalances your picked citations pretty
well!

 2. There is no keyboard STANDARD for a Crimean Tatar latin layout, let alone a
Romanian one. This is no excuse for you to include every possible combination
and pollute the Romanian XKB file with four layouts. I don't care what's used
in Turkey in this specific case, I care about what would be the most useful
layout for Romanian Tatars in the improbable case they'll need to write in
their native language in X.Org. As you are probably not aware, the default
layout for Romania is a technical one, very similar with the Alt-Q Turkish
variants. Yes, it is mostly used by programmers, web designers and the like,
but they make up the bulk of X.Org users so they are happy that their layout of
choice is the default one. More so, in 2004 this layout was included in the
official Romanian standard. Any X.Org Romanian Tatar user would most probably
be familiar with this layout, so an Alt-Q Tatar layout would be the most
adequate layout for him/her.

 3. Now to correct your view of history... Northern Dobruja has always been the
land of Romanians and their ancestors. In the XIV century, when the Turkish
Empire has reached this land for the first time, it was part of the Romanian
Voivodate of Mircea I of Wallachia[4], here's a map to visualize it better[5].
Even under Turkish rule, Romanians have always been the bulk of population in
Northern Dobruja, the part now included in Romania, the demographic data from
the Ottomans prove this also[6].

 4. In regards to our attitude to Tatars... Despite all the damage they have
inflicted to the Romanian people in the Middle Ages and the associated negative
connotations of their name in the Romanian language[7], Romania as a modern
state has always been a safe haven for Crimean Tatars. This minority has had
virtually everything it needs to protect its language and traditions in Romania
over the years, in marked contrast with the situation in Crimea and Southern
Dobruja. I, as Romanian, have no interest whatsoever in oppressing Romanian
Tatars. I have tried for weeks to contact Romanian Tatars (I sent mails, I
wrote on blogs, I wrote in forums) to inform myself in regards to the curious
situation of four Crimean Tatar layouts in the Romanian XKB file, but few
Romanian Tatars are willing to discuss this, thus my repeated appeals for
answers on the Softpedia forum. Me challenging some of their answers doesn't
qualify as anything other than theoretical dispute.

Whether you like the situation of Crimean Tatar in Romania or not, I'm afraid
you'll have to accept it. We have reached a conclusion here and it was much
influenced by you. I'm not willing to discuss this any further with you. I
haven't seen any new arguments from you in the last posts. They are basically
the same rehashes and a few marginal points that I was already aware of. Your
arguing is VERY unproductive and I'm fed up with your accusations and with your
Turkish Tatar idealistic view of history and everything. 

 1.
http://www.tatar.ro/articole/evolutia_bilingvismului_tataro_roman_in_perioada_actuala_in_dobrogea.php
 2. http://asanvein.weblog.ro/?p=985247
 3.
http://webcache.googleusercontent.com/search?q=cache:rmaFckKLlAEJ:joienegru.blogspot.com/2009/08/ce-penibili-sunt-tatarii.html
 4. http://en.wikipedia.org/wiki/Mircea_I_of_Wallachia
 5. http://en.wikipedia.org/wiki/File:Tara_Rumaneasca_map.png
 6. http://en.wikipedia.org/wiki/Dobrogea#Demographic_history
 7. http://dexonline.ro/definitie/tătar
Comment 29 Sergey V. Udaltsov 2011-03-22 02:28:08 UTC
Mișu please do not get personal or political. Leave that to your opponent.
Comment 30 Mișu Moldovan 2011-03-22 02:40:19 UTC
(In reply to comment #28)
> Even under Turkish rule, Romanians have always been the bulk of population in
> Northern Dobruja, the part now included in Romania, the demographic data from
> the Ottomans prove this also[6].
> [snip]
>  6. http://en.wikipedia.org/wiki/Dobrogea#Demographic_history

Small correction: The oldest demographical data available in Wikipedia are from 1880, two years after Romania gained Northern Dobruja after fighting in the Russo-Turkish war of 1877-1878. Still, it proves that Romanian were the most populous nation in Nothern Dobruja after 500 years of Ottoman rule and only 2 years of Romanian rule. And Romanian authorities even accepted the return to their homes of Muslim populations displaced by war.

Sorry Sergey about the historical detour. It was a mistake, this is treacherous land indeed. I will refrain from any other historical, political and personal references from now on. Just wanted to clear some facts, sorry...
Comment 31 Reşat SABIQ (Reshat) 2011-03-30 23:18:16 UTC
This comment is off-topic, feel free to not read it.

Unfortunately, the discussion in this bug has been misinformed, misguided, and focused on the wrong things lately...

Your latest posts do not change the reality of what i stated in comment 25. I do not have anything to add to or modify in that comment.

The language is alive, and is used in publishing: that's all that matters for there to be keyboard layouts facilitating the use of the language. Moreover, even extinct languages and scripts have keyboard layouts.

I have not said anything about Romanians not having lived for a very long time in the region (although 
history is complicated, i'm not going into it any further). What i meant in the brief and 
cursive remark in parentheses (to which you followed up), and i guess 
i could have been a bit clearer if i had any more time for it, is that the territory has been a part of many 
different states historically, and during the formation of the modern state of Romania there 
were questions regarding which country Dobruja (and its parts) should be a part of: Romania or Bulgaria.
In particular, on the forum you referenced earlier, there was a post like this given (unless it becomes 
necessary, i'm not gonna bother anybody in Romania to verify this translation because it's off-topic anyway; also, i realize this view is debatable, but nonetheless it has been expressed):
--start_quote--
Romanian: Am incercat sa inteleg istoria si am descoperit ca istoricii se cearta intre ei, in functie de partizanat.

Dobrogea nu a fost a tarilor romanesti pana la 1878 cand dupa razboiul ruso-turc au alipit cadrilaterul.
Dupa alipirea Dobrogei cu tara, Geograful Grigore Cobalcescu scria: "În aceste circumstanţe nu văd ce am putea face decât să privim Dobrogea ca o proprietate a noastră şi să ne gândim ce vom face cu ea, pentru a profita de această stăpânire legală, şi desigur să facem tot ce putem pentru ai mulţumi pe etnicii stabiliţi pe acest pământ şi să căutăm să păstrăm frăţia lor."

English: I tried to understand history and discovered that historians argue among themselves, depending on partisanship.

Dobrogea was not on the Romanian map until 1878 when Romania had joined the Russo-Turkish Quadrilateral. 
After the annexation of Dobruja to Romania, Cobalcescu geographer Gregory wrote: "In these circumstances I do not see what else we could do other than to look at Dobruja as our property and to think about what we do with it, to take advantage of this legal authority, and of course to do everything we can to satisfy ethnicities established on this land and seek to maintain their brotherhood."
--end_quote--

Also, some quotes from wikipedia to clarify some existing (though again off-topic) historical controversies a bit further.

---start_quotes_from_wiki---
http://en.wikipedia.org/wiki/Dobruja
According to the statistics of the Bulgarian Exarchate, before 1877 there were 9,324 Bulgarian 
families out of totally 12,364 Christian families in the Northern Dobruja.

According to Russian knyaz Vladimir Cherkassky, chief of the Provisional Russian government in 
Bulgaria in 1877-1878, the Bulgarian population in Dobruja was larger than the Romanian one. 
However, count Shuvalov, the Russian representative to the Congress of Berlin, stated that Romania 
deserved Dobruja "more than anybody else, because of its population".

At the beginning of the Russo-Turkish War of 1877–1878, most of Dobruja's population was composed 
of Turks and Tatars, but, during the war, a large part of the Muslim population was evacuated to 
Bulgaria and Turkey.

In contrast with the IDRO, which fought for the inclusion of the region in the Bulgarian state, the 
DRO requested the independence of Dobruja and its inclusion in a projected Federative Republic of 
the Balkans.

http://en.wikipedia.org/wiki/Romania
The Kingdom of Romania emerged when the principalities of Moldavia and Wallachia were united under 
Prince Alexander John Cuza in 1859.

The oldest surviving document written in the Romanian language is a 1521 letter known as "Neacşu's 
Letter from Câmpulung". This document is also notable for having the first occurrence of "Rumanian" 
in a Romanian written text, Wallachia being here named The Rumanian Land – Ţeara Rumânească 
(Ţeara from the Latin: Terra land; current spelling: Ţara Românească).

The name "România" as common homeland of all Romanians is documented in the early 19th century.
This name has been officially in use since 11 December 1861.
---end_quotes_from_wiki---

When all is said and done, even though historical migrations, such as migration of Bulgarians from the north to the south, 
and migration of Romanians from the south to the north were probably not fun, the fact that N. Dobruja is now a part of 
Romania, and S. Dobruja a part of Bulgaria, appears to be a fair historical outcome for Romanian and Bulgarian people.
One thing is for sure, this a fascinating region with a very interesting history.

However, the primary interest in Dobruja for me personally, and the one that's relevant to software, is not a historical, 
political, or administrative one, but a linguistic one: where the word Dobruja in Crimean Tatar language is followed by 
such words as dialect or variant. So i hope we can focus on linguistics and informatics.

With regards to a few people disliking me: I have stood and will stand for justice, fairness, and human rights, 
including linguistic rights. I have not said or done anything in this discussion for me to be ashamed of, and 
it is clear as day to me that it will be seen that way, and justice, fairness, and human rights, 
including linguistic rights, will prevail. If the cost of my stance is me being disliked by a few people, that's a 
very small price to pay (many people have paid a much higher price for being on such a path), and i will pay that price 
readily and proudly.

That said, in general, i respect people who promote the interests of their nation, who live with conviction, and passion, as long as their believes, convictions, and actions do not go against common sense, and/or cause injustice to others. And there's no reason for any long-term disliking to take place here, if we wrap this up with a solution that is rational and just.
Comment 32 Reşat SABIQ (Reshat) 2011-03-30 23:20:50 UTC
Created attachment 45083 [details]
Screenshot with sample UI illustrating the root cause for this bug

"By country" tab highlighted by the red box required inclusion of the layouts highlighted by the blue box under the country.
Comment 33 Reşat SABIQ (Reshat) 2011-03-30 23:27:45 UTC
I found out last week that the "By country" approach has been dropped in the latest xkeyboard-config code, and the UI it provides data for (i.e., there is now no "By country" tab). This basically means that in general bug 19978 has been resolved. For some reason, the same logic applied to most other layouts hasn't been applied to Crimean Tatar layouts yet. All that's left to do to resolve this bug, is to apply the approach now used for most other layouts to Crimean Tatar layouts as well. Thus, this bug is resolved by patch submitted in bug 35787.

Given that
1. from the Romanian viewpoint it's better to not mix Romanian keyboard layouts with Crimean Tatar keyboard layouts, and 
2. from the Crimean Tatar viewpoint it's better to not mix Crimean Tatar keyboard layouts with Romanian keyboard layouts, and 
3. the new language-centric implementation makes that possible, and 
4. the patch submitted in bug 35787 provides the code changes to accomplish items 1. and 2.
the problem is resolved. 

It's a win-win all around: it's a win from the Romanian viewpoint, it's a win from the Crimean Tatar viewpoint, it's a win for common sense, and it's a win for the Linux community in general (the UI is now much more user-friendly, and the patch makes it as user-friendly for the relevant languages as it already is for most other languages).

I'm sure all of us here have plenty of constructive things to do. Since the patch in bug 35787 resolves this bug, i'm marking this bug as RESOLVED.

P.S. The added comments in symbols/ro file (in the patch) are just meant to provide info. If they're not needed, there's no problem deleting the added comments from that file, because it's less important for Crimean Tatar layouts in terms of comments than the file where the common layouts are defined (that's why only a 1-line general subheading comment was added initially, but perhaps now a few more comments would be beneficial). If it's preferred to only leave 3 lines of comments (general subheading, and 2 lines of credits), or just 1 line of comments (only general subheading), i can provide a small follow-up patch for that.

*** This bug has been marked as a duplicate of bug 35787 ***
Comment 34 Mișu Moldovan 2011-03-31 04:13:59 UTC
I'll pass on the historical considerations of Reşat and concentrate on the technical issue at hand. This bug report is more than a duplicate of any bug report concerning the interface presented to users by the XKeyboardConfig-related tools. I repeat: there seem to be too many Crimean Tatar layouts for Romania.

Specifically, I would like for a knowledgeable person to address my previous questions regarding the "Dobruca" layouts. Reşat, I ask you again, what is the history of these layouts? Why do you think there is a need for two extra layouts for the Romanian Crimean Tatars? Are they just a proposal of yours?

I'm especially worried by these two Romanian-specific layouts as it seems you took the liberty to include some diacritics (abreve, ibreve, tcedilla) not present in the alphabet of the Crimean Tatar language spoken in Romania as documented by the University of Bucharest and published online[1] by Taner Murat[2]. I've investigated this further on the Omniglot site[3] and its linked resources, but I couldn't find anything out there on this issue.

I've refrained from submitting a patch as suggested by Sergey in comment #24 because I keep trying to contact Romanian Tatars that have something relevant to say on these issues and not just a yes-man.

 1. http://www.tanermurat.com/ro/alphabet
 2. Taner Murat being a Romanian Tatar, author of the only Romanian - Tatar Crimean dictionary, available online at http://books.google.com/books?id=e6vnF1A0dvkC&pg=PA0&dq=9789736922657&hl=ro&ei=y9vKTImDDcyTjAfH6O3FDw&sa=X&oi=book_result&ct=book-thumbnail&resnum=1&ved=0CCgQ6wEwAA#v=onepage&q&f=false 
 3.  http://www.omniglot.com/writing/crimeantatar.php
Comment 35 Reşat SABIQ (Reshat) 2011-03-31 22:17:14 UTC
With regards to abreve, ibreve, tcedilla...

Prof. Mamut has already clarified ibreve (ĭ) in bug 35787, comment 11.

On abreve (ă), and tcedilla (ţ): of course they are not meant for Crimean Tatar language, but to enable typing in Romanian language, without necessarily having to change the layout.
The validity of this workflow is also confirmed by the following feedback from a Romanian Tatar, as was mentioned in comment 10:

(In reply to comment #10)
> Romanian: Cred ca ar putea fi montate asemeni diacriticelor romanesti, pe
> [,]\;',. fiind astfel foarte facile pentru cei care folosesc mai multe limbi la
> calculator
> I.e.: I think it could also be fitted with Romanian diacritics on [,]\,'.
> making it very easy for those who use multiple languages on their computer.
> 
> In other words, the user that replied wanted to use a Crimean Tatar keyboard
> layout, and also wanted it to include Romanian diacritics. That is what is
> currently made available for Linux users, and it will eventually be available
> for users of other operating systems as well.

A bit more on tcedilla (ţ):
In Romanian, there apparently is de-facto dual usage of ș and ț (s-comma, t-comma) on one hand, and ţ and ş (t-cedilla, s-cedilla) on the other.
A quote from wikipedia regarding ț (http://en.wikipedia.org/wiki/T-comma):
"Windows XP's default fonts do not support this letter out of the box, but it is possible to install the European Union Expansion Font Update,[2] which adds support for this letter. That is why almost all Romanian texts still use T-cedilla (or even T), despite the recommendation to migrate from cedilla to comma."

Two years ago, a decision was made to include only ţ (t-cedilla), because Crimean Tatar language already uses letter ş (s-cedilla). During the standardization work, this can be reviewed. Providing ș and ț (s-comma, t-comma) is of course possible, but whereas ş is available as the main letter, ș would have to be included as an extra (AltGr) letter.

Let me point out that right now in this project among Romanian layouts visible on the UI, there are 3 layouts providing keys with ţ and ş (t-cedilla, s-cedilla), and 2 layouts providing keys with ș and ț (s-comma, t-comma). Needless to say Romanian is not the only language where such alternative keyboard layouts may be needed.
Comment 36 Mișu Moldovan 2011-04-01 03:39:59 UTC
The "Dobruca" layouts cannot be used to type proper Romanian, they lack scommabelow and tcommabelow. The fact that we still have Romanian legacy layouts that generate scedilla and tcedilla is no reason to include two more legacy-ridden layouts. By the way Reşat, you still haven't provided us with the reasoning for creating *two* "Dobruca" layouts... More so, when explaining them you are using wording along the lines of "two years ago, a decision was made to include only [...]". Who's decision was it? Can you please enlighten us?

Also, let's not try to find after-the-fact justifications for creating these extra layouts. The person on the Sofpedia forum said something along the line of "(Tatar diacritics) could be placed on the [,]\;',. keys just like the Romanian ones" and not *in addition* to the Romanian ones. When he adds "using more languages with the computer" he clearly doesn't mean using Romanian and Tatar at the same time. 

I don't see reasons for including dual Tatar-Romanian layouts, like I don't see reasons for including dual Hungarian-Romanian layouts, Roma-Romanian layouts, German-Romanian layouts, Polish-Romanian layouts and so on... The SR 13392:2004 Romanian standard provides a way to generate diacritics for most minority languages with a latin alphabet using dead keys. This mechanism fully covers the Romanian Tatar alphabet also. The Romanian Hungarians haven't seen reasons for dual layouts and they outnumber the Romanian Tatars 100:1 and virtually all of them are fluent in both Hungarian and Romanian.
Comment 37 Reşat SABIQ (Reshat) 2011-04-03 16:33:51 UTC
I think this has been answered in bug 35787, comment 20, but it might be worth 
following up just a bit.

(In reply to comment #36)
> I don't see reasons for including dual Tatar-Romanian layouts, like I don't see
> reasons for including dual Hungarian-Romanian layouts, Roma-Romanian layouts,
> German-Romanian layouts, Polish-Romanian layouts and so on... 
Generally speaking, yes there's no need to add all possible dual layouts. But 
there are exceptions. Even now for Romanian, for instance, there are these 2 
dual layouts:
Romanian keyboard with German letters
Romanian keyboard with German letters, eliminate dead keys

> The SR 13392:2004
> Romanian standard provides a way to generate diacritics for most minority
> languages with a latin alphabet using dead keys. This mechanism fully covers
> the Romanian Tatar alphabet also.
Unfortunately, this would only work as a work-around for typing a few words 
here and there, because it requires first simultanteously pressing 2 keys to 
activate the diacritic, and then pressing the actual letter key to apply the 
diacritic to. In the same amount of time, using a dedicated keyboard layout a 
user would have typed 3 to 4 characters instead of just 1.

> The Romanian Hungarians haven't seen reasons
> for dual layouts and they outnumber the Romanian Tatars 100:1 and virtually all
> of them are fluent in both Hungarian and Romanian.
My guess is Hungarian language doesn't have a Romania-specific orthography, so 
these cases aren't really comparable.

Anyway, it appears the need for dedicated keyboard layout(s) and ability to also type in Romanian have been agreed to.
Comment 38 Reşat SABIQ (Reshat) 2011-04-03 16:43:15 UTC
I'm about to attach a patch which depends on patches in bug 35787...
Comment 39 Reşat SABIQ (Reshat) 2011-04-03 16:46:16 UTC
Created attachment 45204 [details] [review]
Removing transitional Crimean Tatar layout which has been found to not be needed, & making sure t-comma, and s-comma (along with the existing a-breve) are provided in Crimean Tatar (Dobruja Q) layout

This patch is based on bug 35787, comment 20. It also accounts for the fact that the ability to type in Romanian using the same layout has been confirmed as necessary.
Comment 40 Sergey V. Udaltsov 2011-04-04 16:18:14 UTC
This one is committed as well. Thanks to everyone involved.
Comment 41 Mișu Moldovan 2011-04-05 02:38:13 UTC
> (In reply to comment #36)
> > I don't see reasons for including dual Tatar-Romanian layouts, like I don't see
> > reasons for including dual Hungarian-Romanian layouts, Roma-Romanian layouts,
> > German-Romanian layouts, Polish-Romanian layouts and so on... 
> Generally speaking, yes there's no need to add all possible dual layouts. But 
> there are exceptions. Even now for Romanian, for instance, there are these 2 
> dual layouts:
> Romanian keyboard with German letters
> Romanian keyboard with German letters, eliminate dead keys

I think they should be removed from the German section. Sergey, should I file a patch in a separate bug report?
Comment 42 Mișu Moldovan 2011-04-05 02:46:11 UTC
(In reply to comment #40)
> This one is committed as well. Thanks to everyone involved.

One more suggestion... Given that this exotic layout would see little to no use, shouldn't we move it to the "extra" section?

I also consider this Romanian Tatar layout to be unfinished. I hope that we get additional feedback from Prof. Ing. Eden Mamut in bug #35787 and from Ing. Taner Murat, the author of the only Romanian-Tatar dictionary and writer of several related book as detailed at http://www.tanermurat.com/ro/my-works .
Comment 43 Sergey V. Udaltsov 2011-04-05 13:04:25 UTC
> I think they should be removed from the German section. Sergey, should I file a
> patch in a separate bug report?
Yes please. This bug is noisy enough as it is:)
Comment 44 Sergey V. Udaltsov 2011-04-05 13:06:09 UTC
> Given that this exotic layout would see little to no
> use, shouldn't we move it to the "extra" section?
I do not mind either way. Is everybody happy for me to do that move - crh_dobruja to exotic group?
Comment 45 Reşat SABIQ (Reshat) 2011-04-06 06:45:56 UTC
(In reply to comment #43)
> > I think they should be removed from the German section. Sergey, should I file a
> > patch in a separate bug report?
> Yes please. This bug is noisy enough as it is:)

I just want to point out that there is a number of dual layouts in this project 
for various languages. I believe Romanian layouts are fully up to people 
speaking Romanian language and using those layouts. For somebody like me to say 
it has to be this way or that way would be meddling.

My 2 cents.
Comment 46 Reşat SABIQ (Reshat) 2011-04-06 06:51:02 UTC
(In reply to comment #44)
> > Given that this exotic layout would see little to no
> > use, shouldn't we move it to the "extra" section?
> I do not mind either way. Is everybody happy for me to do that move -
> crh_dobruja to exotic group?
No, it's not OK to hide Dobruja Q layout from the UI.

I believe everything is fine the way it is and any future changes to the 
relevant layouts will be made based on decisions of representatives of Crimean 
Tatars. 

Moreover, i do not understand what hiding Dobruja Q layout from the UI would 
accomplish. As was mentioned in bug 35787, Crimean Tatar layouts are 
now shown separately from Romanian layouts, because it's a separate language. 
There is even a screenshot illustrating this in bug 35787, comment 6 (while 
viewing the screenshot, please note: after the patch committed here, there's 
now only 1 Dobruja Q layout).
Hiding this layout would not benefit anybody 1 bit, but it would violate 
people's human rights, of which linguistic rights are an integral part.
To re-iterate, for instance, Crimean Tatar layouts in the English UI are now 
shown between Chinese and Croatian layouts, whereas Romanian layouts are now 
shown between Punjabi and Russian layouts. There's no connection between the 
Crimean Tatar and Romanian layouts in the new and improved language-centric UI.

If any individual for any reason is bothered by seeing a layout in the UI 
that individual can freely modify the installation on his/her computer so that 
that layout is not shown on his/her UI.

All of this has already been discussed, let's not go around in circles. Please 
also see bug 35787, comment 4.

Let's respect each other's rights and not make an issue where there isn't 
one. I'm sure everybody here has a lot of constructive things to do instead.
Comment 47 Prof. Eden Mamut 2011-04-06 08:06:11 UTC
Distinguished members of the group, on behalf of the "exotic" group of Crimean Tatars from Romania, I would like to kindly ask you to respect our decision.

The intent in the decision by the UDTTMR is for users to be able to see this keyboard layout along with all the other keyboard layouts when users set their keyboard layout preferences.

Our group might be noisy but, you have to understand how difficult is for us to preserve our identity. Recently, HE Mr Kiyotaka Akasaka, the Under Secretary General of UN joined one of our debates and expressed his admiration and his support. You may follow his speech on the video record of our seminar at
http://www.tatars.eu/Conferences.php?task=ev1

Thank you for your support!
Comment 48 Sergey V. Udaltsov 2011-04-06 10:32:53 UTC
I do not mind either way. Mișu? Would displaying single Crimean Tatar variant be disturbing for other Romanians?
Comment 49 Mișu Moldovan 2011-04-06 12:08:30 UTC
No, it wouldn't be at all disturbing. More so, I see that from now on, in some of the user interfaces, the Crimean Tatar layouts are now displayed separately from the Romanian ones when ordering them by language.

My reasoning is that the number of people that would use this is VERY low. This layout is specific to Romanian Tatars, which are not so many. More so, only some of them speak, read and write in Tatar. The ones using diacritics outside the Turkish set are even fewer. And only a very small proportion of them would be using X.Org. 

My optimistic estimates give a result of 4 (four) for the number of people that would find this useful. If this is not exotic, I wonder what else would be?
Comment 50 Reşat SABIQ (Reshat) 2011-04-09 12:43:25 UTC
Just wanted to note that Mișu's claims have also already been discussed, and there's no need to go back to that discussion.
Comment 51 Mișu Moldovan 2011-04-09 13:08:49 UTC
I don't think so, Reşat... But since you seem interested, here's my logic:

 * there are ~20.000 Tatars in Romania (a bit fewer than in 2002)
 * about half of them have Internet access (Internet penetration rate in Romania)
 * less than 1% are using X.Org (global desktop market share for Linux/Unix, Romania is no special case)

So far, I can without doubt narrow the number of potential users for this layout to less than 100. But there is one thing specific to Romanians computer users, they avoid diacritics like the plague... I can pretty safely estimate that less than 5% of us use diacritics. I don't see reasons for a higher ratio among Romanian Tatars, especially given the fact that there really is no wide consensus among them in regards to what diacritics they should use outside the Turkish set.

This is the rationale for my optimistic estimate of 4 people that would find this layout useful. Please note that I have assumed that all Romanian Tatars speak and write in the Crimean Tatar language, which is far from true, unfortunately...

To sum it up: a pretty exotic layout, in my opinion.
Comment 52 Prof. Eden Mamut 2011-04-10 14:02:35 UTC
Dear Mr. Moldovan, I respect your oppinion. You may state whatever oppinion you want and to play the role of fortune teller in whatever subject you want. But, in my official position I have to warn you that if you will continue to promote judgements that are harming the image or any rights of the Crimean Tatar Community from Romania we shall start the legal procedures to identify, locate and bring you to Court. 

I would like once again to express our most gratitude for the work that has been done and as a next step, we shall start a campain to promote Linux within our community. On 5th of May, you may watch our seminar dedicated to the Celebration of the Mother Tongue Day and even participate to it via Skype. The broadcasting shall be done at www.tatars.eu 

Thank you for all!
Comment 53 Sergey V. Udaltsov 2011-04-10 14:15:16 UTC
Dear Prof. Mamut

I would kindly ask you to refrain from personal attacks. I do not see anything nationalistic (harming any nation's image) in Mr. Moldovan's estimations - they are just figures, simple arithmetics. If he is wrong in his logical sequence - pray tell us where you think he is wrong - I hope he would be able to accept that.

Personally, I would tend to agree that 5 would be gross underestimation of the number of people who'd use that layout - but Mr. Moldovan's logic was not challenged so far. Please do. Give your estimations, even if they are very rough.

I am not trying to fight for or against moving Crimean Tatar variants to exotic section, I am listening to both sides - but I urge to you stick to technical discussion, not bringing in historical, political, legal or any other matters that are purely irrelevant here. Please remember, our mutual goal is to find the solution that is good enough for everybody
Comment 54 Daniel Stone 2011-04-10 14:15:40 UTC
(In reply to comment #52)
> Dear Mr. Moldovan, I respect your oppinion. You may state whatever oppinion you
> want and to play the role of fortune teller in whatever subject you want. But,
> in my official position I have to warn you that if you will continue to promote
> judgements that are harming the image or any rights of the Crimean Tatar
> Community from Romania we shall start the legal procedures to identify, locate
> and bring you to Court. 

Sorry, but could you please clarify:
  * which legal rights are you asserting over the xkeyboard-config project?
  * which court are you speaking about?
  * which charges do you seek to bring?

Thanks.
Comment 55 Lucian Adrian Grijincu 2011-04-10 14:18:19 UTC
Mr. Eden Mamut please refrain from such attacks here. Here we are cooperating
trying to get to an agreement that is most beneficial to all
users/developers/maintainers/etc.

If you don't agree with Mr. Moldovan's arguments please say where he is wrong,
but don't resort to verbal violence or threats. At least not here.

If Mr. Moldovan underestimated something or said something untrue, I'd really
like to know what that something is.
Comment 56 Reşat SABIQ (Reshat) 2011-04-10 15:38:35 UTC
First of all, i have to say that when people not related to the language are trying to infringe on the rights of people related to and using the language obviously something is wrong. Also, when an unnecessary discussion is imposed onto a language based on some twisted logic that has never been applied to other languages, this really smells of discrimination.

I was not going to post any more messages, because as i've stated earlier there's nothing left to discuss. But i feel like there's a need to clarify this again.

The estimates thrown around are subjective, unreliable, and dubious, but most importanly there's no need for them when the facts are clear.

Facts:
1. Based on latest available figures there are around 24000 Crimean Tatars living in Romania.
2. Their representatives decided that they need a keyboard layout, that's now in the source repository. And are also planning a campaign to promote Linux usage in the Crimean Tatar community in Romania.
3. There are keyboard layouts for various other languages in similar or worse situations (number of speakers on the right):
Cherokee                         316,049+
Inuktitut                          35,000
Kutenai (also known as Ktunaxa)        12
Maori                             157,110
Syriac                           extinct?
Secwepemctsin	                     1650

There should not be any discrimination against any languages.
4. Crimean Tatar layouts have no relevance to Romanian-speaking users and vice versa in the new and improved language-centric UI.
From comment #46:
> Moreover, i do not understand what hiding Dobruja Q layout from the UI would 
> accomplish. As was mentioned in bug 35787, Crimean Tatar layouts are 
> now shown separately from Romanian layouts, because it's a separate language. 
> There is even a screenshot illustrating this in bug 35787, comment 6 (while 
> viewing the screenshot, please note: after the patch committed here, there's 
> now only 1 Dobruja Q layout).
> Hiding this layout would not benefit anybody 1 bit, but it would violate 
> people's human rights, of which linguistic rights are an integral part.
> To re-iterate, for instance, Crimean Tatar layouts in the English UI are now 
> shown between Chinese and Croatian layouts, whereas Romanian layouts are now 
> shown between Punjabi and Russian layouts. There's no connection between the 
> Crimean Tatar and Romanian layouts in the new and improved language-centric UI.
To clarify once more: users interested in Romanian layouts will not encounter Crimean Tatar layouts, and user interested in Crimean Tatar layouts will not encounter Romanian layouts.

To wrap up, there's nothing to discuss. Let's not discriminate against any languages, let's respect each other's rights and not make an issue where there isn't one. I'm sure everybody here has a lot of constructive things to do instead.
Comment 57 Mișu Moldovan 2011-04-10 16:13:38 UTC
Prof. Ing. Mamut Eden, I would prefer if we stick to technical arguments, gratuitous threats are kind of silly here... FYI, I love courts, although I've only once been in one, testifying against a Romanian secret service, great fun! Also, thank you guys for the very quick and firm support.

Technically speaking, I'm not sure Mr. Mamut understands the issue of the "extra" layouts. It's not that the Romanian-Tatar specific layout would become unavailable, it just won't be displayed in some instances. E.g. it would not be visible by default in GNOME desktop's configuration tool, but this is configurable. It would also be selectable by other means: in the command line and graphically during OS installation. 

Sergey, please note that I advocate this move only for the Romanian specific Crimean Tatar layout (although, maybe the Crimean Tatar AltQ variant would also be a good candidate, but this is just a personal opinion). Please correct me if there are aspects that I'm not aware of in regards to the "extras" layouts.

On a related note, I've asked for feedback on inputting Tatar diacritics on Caslar, the biggest online group of Romanian Turks and Tatars. I got a bunch of wacky answers, most of them in private. All of them are improvisations on top of a Turkish keyboard layout. One of the responders is a colleague of Mr. Mamut at UDTTMR (Uniunea Democrată a Tătarilor Turco-Musulmani din România). He mentioned using Word macros on top of a Turkish-Q layout! So I guess he is not using Tatar-specific diacritics outside official documents...

On the other hand, I wish Mr. Mamut best luck with promoting Linux among Romanian Tatars. But realistically speaking, it would be much more effective if he would disseminate Tatar Windows keyboard layouts also. 100 more effective, to be precise! Statistics, again... And he should probably start with his colleagues from UDTTMR! :)
Comment 58 Lucian Adrian Grijincu 2011-04-10 16:25:43 UTC
Reşat, when you say "twisted logic", do you mean there is something factually invalid about it?

(excluding the nuances from Mr. Moldovan's "~20.000" to your "24.000").
Comment 59 Mișu Moldovan 2011-04-10 16:26:44 UTC
(In reply to comment #56)
[snip]
> 3. There are keyboard layouts for various other languages in similar or worse
> situations (number of speakers on the right):
> Cherokee                         316,049+
> Inuktitut                          35,000
> Kutenai (also known as Ktunaxa)        12
> Maori                             157,110
> Syriac                           extinct?
> Secwepemctsin                         1650

Judging by these numbers only, I would say some of them seem to be good
candidates for the "extra" section also.
Comment 60 Lucian Adrian Grijincu 2011-04-10 16:27:05 UTC
Created attachment 45462 [details]
by country (gnome-keyboard-config gnome-2-32 + xkeyboard-config git)

> To clarify once more: users interested in Romanian layouts will not encounter
> Crimean Tatar layouts, and user interested in Crimean Tatar layouts will not
> encounter Romanian layouts.

I'm attaching what's currently available on my system (gnome2-32) with xkeyboard-config from git.
Comment 61 Sergey V. Udaltsov 2011-04-10 16:29:46 UTC
Lucian, I would recommend using xk-c from git (or 2.2) with gnome3. Or, alternatively xk-c 2.1 with gnome 2.32.

That does not affect your point but that is more appropriate. Besides, GNOME3 is using totally different search-based UI, so ... to some extent these variants are really separated.
Comment 62 Sergey V. Udaltsov 2011-04-10 16:30:40 UTC
> Judging by these numbers only, I would say some of them seem to be good
> candidates for the "extra" section also.
That makes sense. There is real problem of "formalizing", of setting and checking the threshold...
Comment 63 Lucian Adrian Grijincu 2011-04-10 16:40:34 UTC
> Lucian, I would recommend using xk-c from git (or 2.2) with gnome3. Or,
> alternatively xk-c 2.1 with gnome 2.32.


I just set this up to test if Reşat's claims are sound.

I thought that gnome's keyboard-config utility is not the only user of xkeyboard-config, and other users don't have the same UI as gnome3's. Please correct me if I'm wrong.

That's what I was trying to prove with the attachment :)
Comment 64 Reşat SABIQ (Reshat) 2011-04-10 23:41:18 UTC
(In reply to comment #58)
> Reşat, when you say "twisted logic"...
Well, i tried to avoid explicitly stating it in the specific sense, but i guess it's time to call it what it is.
I stated the facts in comments 56. There's no need for guesses. Crimean Tatar language in its entirety must and will be treated the same as all other languages are treated.
There is apparent rampant discrimination against Crimean Tatar language, because no other language has been subjected to such assaults with irrelevant claims, debates, and guesstimates, by one or a few people who are not relevant to this language, and who are not even affected by the layouts in any way, shape, or form in the new and improved language-centric approach. I strongly condemn any attempts to discriminate against Crimean Tatar language (in its entirety).

(In reply to comment #60)
(In reply to comment #63)
> I'm attaching what's currently available on my system (gnome2-32) with
> xkeyboard-config from git.

You have installed new data on a system with the old UI: that makes no sense whatsoever. For one thing, there is tautology "Romanian Romanian..." Another thing, the data is language-centric, and you trying to force it into a country-centric UI. Again, you are trying to fix an issue that doesn't exist in the new and improved language-centric code. Nobody in the universe will ever see a UI like that on an official Linux distro. Completely moot point. Mark this down: language-centric.

There's nothing for me to add here, except quoting a previous post.
From comment 46:
> There is even a screenshot illustrating this in bug 35787, comment 6 (while 
> viewing the screenshot, please note: after the patch committed here, there's 
> now only 1 Dobruja Q layout).
Comment 65 Mișu Moldovan 2011-04-11 00:02:46 UTC
The plain facts are that there is an "extra" section in XKeyboardConfig for layouts that would see little to no use and your Romanian-specific Tatar layout fits the bill pretty well, given the fact that Crimean Tatar is on the verge of extinction in Romania and seriously endangered all-around as noted in the UNESCO Red Book[1]. That's a well documented fact and the status of this layout in XKeyboardConfig will have little to no impact on this larger issue. I'm sorry too, but let's judge this based on facts, not emotional appeals...

 1. http://www.helsinki.fi/~tasalmin/europe_report.html#Crimean
Comment 66 Prof. Eden Mamut 2011-04-11 13:35:35 UTC
Dear Mr. Moldovan, Dear Mr.Udaltsov, Distinguished members of the group, I would like to excuse myself for the late reply to your comments! I have been doing a long journey. I have started this morning at 8 am my course for my students in Constanta, at 10 am I took my car and drove to Bucharest. At 4 pm I took off towards Budapest where I have changed the plane and flew to Brussels. So, now I am at a hotel next to Gare Central reading your messages. Millions of people are doing such a journey on a daily base. A kid that was born few years ago, leaving in such a world, shall he be able to understand the world in which I was born?  In the 60ies, in my village, there were many people that have done a single journey in their life – the one for military service. How could a teenager today understand that in my childhood we were punished by our instructor because we were speaking in our mother tongue language?

In 1959, Gheorghe Gheorghiu Dej, the secretary general of the communist party, visited a city close to our village and he was informed about the situation of the minorities in the region and the problems that were facing with the education in Tatar language. They say that he asked: How many Tatars are leaving in the region? The reply was: about 35 000. Dej asked again: what is the percentage of Tatars in Romania?  The reply was: about 0.2%. Then Dej shouted: how could we spend so much money for learning them in their mother tongue?! Just for creating future problems for us? And he decided to close all classes in Tatar language just overnight without asking anybody.

In 1944, on May 18th, Stalin decided to re-locate the Tatars from Crimea in different other places like Uzbekistan, Siberia, Kirgizstan, Kazakhstan and so on. The army gathered the hopeless people in few hours and shipped them by trains as prisoners closed in cars for transporting cows. After two weeks of travel in unimaginable condition they arrived to their designated destinations and in was reported to Stalin that several thousands of them died during transport. They say that Stalin asked: what percentage? The reply was: less than 5%. Stalin concluded: this is normal.

In the same odyssey, they discovered that in a small isolated village there were forgotten a group of Tatars. Beria in person was coordinating the deportation. He asked: how many are left? The reply was: about 1 hundred. Beria said: very few, we could not organize a new convoy for them. His officers asked: what we gone do with them? Beria ordered: make them disappear! They took those people, put them on a boat that was captured from the Germans and sank it in the middle of the sea. Those that were trying to escape swimming were shot by soldiers.

These and much more crimes have led to the current situation when there are not many users of the Crimean Tatar alphabet in Romania and in Crimea. We could not forget this history and speak only technical. One could ask: why am I presenting you the above mentioned crimes? Do you have anything in common with them? Of course not! Of course NOT!!!

But, let us look a little bit closer! What is common for the above mentioned cases? The common thing is the way of thinking. I call this way of thinking: Statistical Reasoning or reasoning by using statistics. This was an immense breakthrough in the 19th Century and it became common sense in the 20th Century. Today, if you ask a manager of a mall about the thefts, he will reply: less than 3% of our cost balance and this is normal. This approach in reasoning led to many achievements in science, engineering, sanitation, management and so on.

But, statistics are de-personalizing the human behavior. And in the last decades it has been developed a new movement. Because, I am a scientist, I like to say that this movement started with the visionary speech of Feynman: There is enough room in the bottom. 30 years after Feynman’s speech in Almaden it has been done the first structure by the manipulation of single atoms. Today we are talking about nanosciences where each atom and quantum of energy counts. This is the reason why I like to call this: Quantal Reasoning or reasoning based on each quantum.  But, the rest of the society did not sleep. The UN adopted the Universal Charter of Human Rights, the European Council adopted the Charter of Minority and Regional Languages and even in Romania it has been adopted a new law of education. 

If in the past, for changing a dictator, the international community was reacting after that dictator was killing thousands of people, today, if in a clash there is a single innocent person killed it might lead to a new UN Resolution. 

Today, if I have a kid and decide to follow his education on mother tongue language, I have the right to go to the public school next to my door and ask the director of that school to organize a class in Tatar language. If there are 7 more parents like me, the director is obliged by law to solve it. If not, we have the right to bring him to Court. The director could come to the UDTTMR and ask for a professor specialized in Tatar language and I have to support him.  This is my duty as a Secretary General (I have one year left of my mandate). If I am not doing my duty all above mentioned rights are senseless. 

When Mr. Sabiq, addressed with his proposal to provide a Crimean Tatar Layout for the minority living in Romania, this issue has been analyzed by the Council of Representatives of UDTTMR and I was appointed to solve this problem. It doesn’t matter if in the future it shall be only one user or there will be 100 or 10 000. It is not the problem of Mr. Moldovan and anybody else. It is our right to have it and it is my DUTY to fight for it.

This year we shall pass the barrier of 7 billion people living on Earth and it is expected that in our lifetime we shall be more than 10 billion. In a more and more crowded world the meanings of freedom and responsiveness are changing. We have more and more rights to be more and more free but this might be sustainable only if we shall be more and more responsive. If a stupid person uses his freedom and puts a fire in a forest this is harming not only the people living around but several generation after them as well. Responsiveness is for all of us, from rulers, decision makers and nobodies.

Why you consider that when you look for your own purpose for a layout dedicated to Russian, Romanian or English, it is obvious that it should be there and I should spend so much of my time to explain you that my son has the same right as you? Why you consider enough that my son should search and dig for it if he wants it? Yes, this is because your thinking has behind the same statistic arguments!

I would like to excuse myself because, this week I have a very busy program abroad and I shall not have time to react to your comments but, next week I shall do it.
Comment 67 Sergey V. Udaltsov 2011-04-11 14:18:24 UTC
Dear Prof. Mamut

Thanks for the extensive information regarding the history of your nation and scientific methodology. I am just not sure all that information was essential to point to the simple opinion: the very existence of "exotic" section is a violation of human rights, as far as minorities are concerned. Why should we talk only about nations, let's talk about minorities in general - your arguments are strong enough for that.

From your POV, currently xk-c is violating the rights of Avestan-speaking, APL programmers, Salish-speaking people, people who use Russian Church Slavonic etc. - to the same extent as (as Misu proposes) it would violate the rights of Crimean Tatars in Romania.

That section was created with exactly that intention - to separate _statistically_ exotic layouts so they would not appear for the majority of users making their selection process more difficult (I hope you appreciate the general rules of usability here).

That decision was made to help GUI tools not to overwhelm people with the information - while at the same time provide minorities with the way to access the layouts they need, with reasonably small effort. It was created as a form of compromise solution between usability requirements and minority rights - and, as every compromise solution, it is suboptimal from POV of both sides.

I must apologize for not introducing the exactly defined criteria for putting things there. I hope you understand, it is nearly impossible to prove anything. When in doubt, I keep things in the core section ("benefit of doubt"). But the obviously exotic things - I am trying to keep them in exotic section (and, duly noted, some existing things from the core section would be better moved to the exotic section).

Still, the information is there. People can use it. People can spread the word (that's what Linux communities are for!). You can ask GUI-builders to enable exotic variants by default (or provide simple checkbox to enable them). You can build local distribution (of local builds of generic distributions). Nothing is lost.

But at the same time I would ask you to admit some rights of majority - to have decent usability and to see "observable" and "understandable" list of layouts. Please advise what would you recommend as a point of compromise.

I realize that with the latest advances in GNOME3 my argument is getting weaker, since search-based GUI hides unneeded stuff - but GNOME3 is not the only DE out there, and there is no even single stable distro release using it at the moment. Actually, you could file a bug in gnome's bugzilla to enable exotic variants by default - I would probably even consider supporting you in that. But for the GUI tools acting similar to GNOME2, excessive layouts would be a burden, for majority of users. That's why GNOME2 has gconf-setting governing enabling/disabling exotic materials.
Comment 68 Reşat SABIQ (Reshat) 2011-04-11 23:41:31 UTC
(In reply to comment #65)
> I'm
> sorry too, but let's judge this based on facts, not emotional appeals...
> 
>  1. http://www.helsinki.fi/~tasalmin/europe_report.html#Crimean

Mișu, you used the phrase "wacky answers" when you referred to your correspondence with your Crimean Tatar or Turkish compatriots. I am going to use it here: in regards to this "discussion" (not to use the word "assault" again) you have posted a lot of misleading (mildly put), dishonest, and wacky comments and appeals here and in other places. This particular reference was used by you earlier, and was clarified in comment 10. In short, the reference is from 1993, there's a whole new generation of people around since then. And the reference refers to Crimean Tatars in Romania as Noğay, which is not how they refer to themselves. Outdated reference as far as Crimean Tatars are concerned (and as far as Crimean Tatars in Romania are concerned, it is also questionable (apparently even inaccurate)).

If you think about it, you will realize that you are the one who is acting emotionally rather than rationally. There's an invitation for a provocative act violating other people's human rights, even though you yourself have acknowledged that Romanian-speaking users wouldn't mind the layout in the new and improved language-centric approach.

And in general: going around in circles isn't going to change anything.
Comment 69 Reşat SABIQ (Reshat) 2011-04-11 23:47:20 UTC
(In reply to comment #67)
> From your POV, currently xk-c is violating the rights of Avestan-speaking, APL
> programmers, Salish-speaking people, people who use Russian Church Slavonic
> etc. - to the same extent as (as Misu proposes) it would violate the rights of
> Crimean Tatars in Romania.

If, and only if, Dobruja dialect (variant) of Crimean Tatar language becomes an extinct liturgical language (as Avestan), or becomes a language with the total number of speakers equal to 5 (as appears to be the case for Coeur D'alene Salish), or becomes a liturgical language derived from an extinct liturgical language (as Church Slavonic), or becomes a programming language that most software developers have never heard of, you may have a point about hiding it from the UI in the extras section. But right now, there are no grounds to discriminate against Crimean Tatars like that.

> You can ask GUI-builders to enable
> exotic variants by default (or provide simple checkbox to enable them). You can
> build local distribution (of local builds of generic distributions).

No, users of Mac[1] or Linux who use Inuktitut don't have to do anything like that, so neither do people using Crimean Tatar (or Dobruja dialect of it).

> Please advise what would you recommend as a point of compromise.
IMHO, if the compromise you speak of is between 1 or 2 people trying to violate linguistic rights of some people, and those people rejecting the violation of their linguistic rights, then, with all the facts on the table, the only reasonable compromise would be for the people trying to violate other people's linguistic rights to give up on their discriminating ambitions.

> I realize that with the latest advances in GNOME3 my argument is getting
> weaker, since search-based GUI hides unneeded stuff
That is an understatement. There is no ground to make an argument whatsoever. In an age when 3D user interfaces are taking hold, talking about discriminating against a language in order to save a few pixels in a scrollable list is illogical to say the least, just as it is illogical to talk about new and improved language-centric data on an old country-centric UI. It is illogical even without a search-capable UI, it is of course much more illogical with a search-capable UI. It is nothing but an attempt to artificially create an issue where no issue exists.

When all is said and done, this discriminating argument doesn't have a leg to stand on. I have known for a while that this argument about disappearing the keyboard layout was in fact 100% over, i think it can now be said that it's 200% over. It's just sad how much time has been wasted.

-----
[1] https://bugs.freedesktop.org/attachment.cgi?id=33327
From comment #4 from over a year ago:
> I'm attaching an
> example from Mac showing 4 keyboard layouts for Inuktitut (out of something
> like 59 total keyboard layouts, i.e. over 6% of layouts are Inuktitut layouts).
> Number of speakers of Inuktitut: 35000, or roughly 0,00051% of the population
> of the world (Mac does the right thing and doesn't list languages under
> countries, instead just showing a list of languages).
Follow-up on the last part in parentheses: this project is now also doing the right thing, i.e. using a language-centric approach.
Comment 70 Mișu Moldovan 2011-04-12 00:02:19 UTC
(In reply to comment #66)
> Today, if I have a kid and decide to follow his education on mother tongue
> language, I have the right to go to the public school next to my door and ask
> the director of that school to organize a class in Tatar language. If there are
> 7 more parents like me, the director is obliged by law to solve it. If not, we
> have the right to bring him to Court. The director could come to the UDTTMR and
> ask for a professor specialized in Tatar language and I have to support him. 
> This is my duty as a Secretary General (I have one year left of my mandate). If

Reality check... As far as I can tell from the information available on the web, you have serious problems with the lack of Tatar language teachers and what happens is that Tatar children attend Turkish language lessons, unfortunately.

In regards to the rest of your discourse, I appreciate and admire your efforts, but to promote this newly created Romanian Tatar keyboard layout, I think you should concentrate your efforts on the Romanian Tatar community. The status of this layout in a free software project used on 1% of the desktops is rather insignificant compared to the fact that Romanian Tatars use primarily Romanian to communicate among them and avoid using diacritics when communicating in the Tatar language, especially the diacritics outside the Turkish set.

In general, it's a bad idea to try to impose things from the top in this matter. I know Reşat had the best intentions when creating 4 layouts for the Tatar language in the Romanian section of the xk-c project, but ideally it should have been the Romanian Tatars that should have settled on one or more layouts and promote upstream the ones that got some real usage.
Comment 71 Mișu Moldovan 2011-04-12 00:11:03 UTC
(In reply to comment #68)
> (In reply to comment #65)
> > I'm
> > sorry too, but let's judge this based on facts, not emotional appeals...
> > 
> >  1. http://www.helsinki.fi/~tasalmin/europe_report.html#Crimean
> 
> Mișu, you used the phrase "wacky answers" when you referred to your
> correspondence with your Crimean Tatar or Turkish compatriots. I am going to
> use it here: in regards to this "discussion" (not to use the word "assault"
> again) you have posted a lot of misleading (mildly put), dishonest, and wacky
> comments and appeals here and in other places. This particular reference was
> used by you earlier, and was clarified in comment 10. In short, the reference
> is from 1993, there's a whole new generation of people around since then. And
> the reference refers to Crimean Tatars in Romania as Noğay, which is not how
> they refer to themselves. Outdated reference as far as Crimean Tatars are
> concerned (and as far as Crimean Tatars in Romania are concerned, it is also
> questionable (apparently even inaccurate)).

Sorry for the misunderstanding, English is not my native language. I actually got very kind answers from the Romanian Tatars and I much appreciate that. But their answers described wacky ways of inputting Tatar-specific diacritics on top of a Turkish keyboard layout.

The section regarding the Crimean Tatar language in the UNESCO Red Book report is by no means perfect. But that doesn't mean Crimean Tatar language is gratuitously listed as SERIOUSLY ENDANGERED! And yes, the situation has change since 1993, it got WORSE, unfortunately...


> If you think about it, you will realize that you are the one who is acting
> emotionally rather than rationally. There's an invitation for a provocative act
> violating other people's human rights, even though you yourself have
> acknowledged that Romanian-speaking users wouldn't mind the layout in the new
> and improved language-centric approach.
> 
> And in general: going around in circles isn't going to change anything.

Well, thank you for your kind words. Instead of going around in circles I would very much appreciate if you would address the issue at hand, which is how many users would actually use this Romanian-specific Tatar layout in xk-c. As a hyperbole, the fact that the new language-centric UI would allow adding a Romanian-specific *Klingon* layout without much impact, doesn't mean we should just do it.
Comment 72 Mișu Moldovan 2011-04-12 01:46:31 UTC
(In reply to comment #58)
> Reşat, when you say "twisted logic", do you mean there is something factually
> invalid about it?
> 
> (excluding the nuances from Mr. Moldovan's "~20.000" to your "24.000").

I would have prefer Mr Sabiq and Mr. Mamut or another Romanian Tatar to have addressed this issue, but nevertheless, here are the reasons for my low estimation:

 * the latest census (from 2002) give us a number of 24.137 Romanian Tatars[1]
 * since the '90s, Romania has experienced a continuous negative growth rate[2], approx. -0.2% per year after 2002, which gives us an estimate of 23.761 if we meticulously apply all the negative growth rates from 2002 to 2009 to the 2002 census number[3].
 * the migration rate is also highly negative in Romania lately, but this is hard to quantify as few people leaving Romania are registered locally. I would estimate that 15% of people from Romania currently live outside Romania, which is in line with the results of a detailed journalistic enquiry on the same subject[4]. This gives us an estimate of 20.196 for the number of Tatars in Romania.

I hope this makes it clear I take great care when making such estimations and there is no way my numbers are "grossly underestimated". The 2011 census will give us more precise figures and I'm willing to bet real money that the number of Romanian Tatars is closer to 20.000 than to 24.000.

1. http://www.recensamant.ro/datepr/tbl4.html
2. http://en.wikipedia.org/wiki/Demographics_of_Romania#After_WW_II
3. the 2002 rate has also been used to compensate for the lacking rate of 2010
4. http://www.jurnalul.ro/special/special/3-milioane-de-romani-la-munca-in-strainatate-528860.html
Comment 73 Sergey V. Udaltsov 2011-04-12 16:07:12 UTC
It was rightfully noticed, we are really going in circles. So as a benevolent dictator of the project, I am trying to settle, even if it makes someone unhappy.

Based on NUMBERS, provided by Mr. Moldovan, I am going to put crh_dobruja into exotic section unless there would be provided counter-arguments based on NUMBERS. No political, historical, humanitarian, legal or any other non-numeric arguments would be considered. I am asking both sides to refrain from using them in order not to increase the noise in that bug.

That move (from base.xml.in to base.extras.xml.in) is going to happen before the next stable release 2.3 - i.e. before the freeze, May 17 - of course, unless the numerical estimations we seen so far would be shattered with improved numbers

I do not have any personal preferences. I do not have bias for or against any nation related to this issue (Romanian or Crimean Tatar). I do not care (never ever been around the area). All I care about, for now, are NUMERIC estimations.

Any attempts to use political rhetoric would be treated with the Godwin's law http://en.wikipedia.org/wiki/Godwin%27s_law and considered as a failure to build the argument.

That's the only way I see to stop that madness on TECHNICAL grounds.

PS I always welcome any hints about any other variant that is currently in the "core" section while statistically it is more suitable for the "extras". So the argument "variant aa(bb) is in the core section while it has only single user" does not work as an argument - it just means I was misinformed, and aa(bb) is going to extras soon enough
Comment 74 Reşat SABIQ (Reshat) 2011-04-12 23:51:15 UTC
(In reply to comment #71)
> The section regarding the Crimean Tatar language in the UNESCO Red Book report
> is by no means perfect. But that doesn't mean Crimean Tatar language is
> gratuitously listed as SERIOUSLY ENDANGERED!
Why do you keep recycling this disinformation?
From comment 10:
> In particular, this
> document calls the language used by Romanian Tatars Noğay, not Crimean Tatar,
> whereas they themselves call it (Crimean) Tatar, expressly not Noğay. If you
> believe this document, then you should look at this link[1] for status, which
> shows it as ENDANGERED, not seriously...
> Secondly, even SERIOUSLY ENDANGERED languages, for any rational person, have to
> be included in software solutions as much as possible to help them from going
> extinct. And, this project already includes, for instance, Kashubian, which IS
> listed in this document as SERIOUSLY ENDANGERED[2].
...
> ----------------
> [1] http://www.helsinki.fi/~tasalmin/europe_report.html#Nogai
> [2] http://www.helsinki.fi/~tasalmin/europe_report.html#Kashubian
Just one more example relevant to the 2nd part: Inuktitut also appears to be endangered, and it's also in the UI on both Mac and Linux.

> And yes, the situation has change
> since 1993, it got WORSE, unfortunately...
And you would know that how? Do you know that people have returned from deportation back to their motherland? Do you know that now there are fewer restrictions and more resources available for publications, language research, education, and media? The situation has definitely improved since the communist and early post-communist times.
Comment 75 Reşat SABIQ (Reshat) 2011-04-12 23:57:15 UTC
My main feedback on the latest shocking "developments" is in the next comment, but this comment has its place as well: it touches on why it's not all that surprising to see Sergey discriminating against Crimean Tatar language.
(In reply to comment #73)
> I do not have any personal preferences. I do not have bias for or against any
> nation related to this issue (Romanian or Crimean Tatar). I do not care (never
> ever been around the area). All I care about, for now, are NUMERIC estimations.
You have shown your true attitudes on multiple occasions. On your very first encounter with Crimean Tatar layouts, you deleted all of them on Feb. 5, 2009 without any discussion. It took them being accepted by Ubuntu first, before they made it here...
I see you are itching to add another "black" date to 02/05/2009. If you and Mișu do this, i'm sure this will result in you 2 embarrassing yourselves even more than you've already embarrassed yourselves here.
Unfortunately, you are not a neutral third party but a part of 1 side (of 2 people) of the argument, apparently trying to set it up for an arbitrary decision.

Plus, as far as I know you used to commit most patches without using --author arg (until i pointed that out about 2 years ago). But after i pointed that out, you appear to have been committing most patches using --author arg. However, when committing my latest patches you didn't use --author arg. And just out of curiosity, patches of how many people have you committed in the last year without using --author arg? I just want to know whether i'm personally being singled out as well. And I'd like to be sure that Crimean Tatars in Romania are not being victimized for personal reasons.

> Any attempts to use political rhetoric would be treated with the Godwin's law
> http://en.wikipedia.org/wiki/Godwin%27s_law and considered as a failure to
> build the argument.
What?! This "law" is about a specific mass murderer and his ideology: neither that person, nor that ideology have ever been mentioned here. What are you talking about? I am afraid actually you are one of the 2 people mixing irrelevant, and artificial nonsense into this "discussion", while choosing to ignore hard facts.
Comment 76 Reşat SABIQ (Reshat) 2011-04-13 00:03:05 UTC
(In reply to comment #73)
> Based on NUMBERS, provided by Mr. Moldovan, I am going to put crh_dobruja into
> exotic section unless there would be provided counter-arguments based on
> NUMBERS.
See comment 56, and comment 69. There are hard facts and numbers there, along with concrete relevant technical implementation examples, not arbitrary estimates. You haven't said 1 word about these rock-solid and fully relevant facts, apparently because there's nothing you can say when faced with the facts.

Even the fact that the provision of these facts was forced when nothing like this was required for any other language already proves the existence of discrimination against Crimean Tatar language here. The fact that you continue to force a discussion of some arbitrary statistical "estimates" whereas nothing like this was required of any other language proves this discrimination further.

> That move (from base.xml.in to base.extras.xml.in) is going to happen before
> the next stable release 2.3 - i.e. before the freeze, May 17 - of course,
> unless the numerical estimations we seen so far would be shattered with
> improved numbers

There is talk about disappearing a layout, whereas even the most basic questions have not been answered with regards to the reasons. Now, WHAT SPECIFICALLY IS THE PERCEIVED PROBLEM? What is attempted at being achieved by disappearing this layout? How many people have expressed a desire to disappear Crimean Tatar (Dobruja Q) layout (which hasn't even been released yet, in addition to the change to a language-centric approach)? What are they (is he) going to gain from it having been disappeared?

If there really was an objective approach, rather than just a pretence of one, there would be a clearly specified rule related to this in http://www.freedesktop.org/wiki/Software/XKeyboardConfig/Rules. (Thankfully, the rules need to be updated because more rational people made sure that a language-centric approach is now used (something that was rejected when i proposed it 2 years ago).) As of right now, NO RULE IS VIOLATED BY ANY CRIMEAN TATAR LAYOUT, and therefore there is no basis for deleting or disappearing anything.

To re-iterate, WHAT ARE THE CLEARLY STATED LANGUAGE-INDEPENDENT GENERAL CRITERIA based on which you want to disappear this layout? You are so blinded by your prejudice that you don't even appear to realize that by disappearing a layout specific to language A, which is endorsed by representatives of people speaking and using that language (and which is equivalent to a number of other layouts which definitely will not be disappeared), without having clearly stated language-independent general criteria, you are also admitting to discrimination against language A.

P.S. Here's what's happening. Sergey knows that based on hard facts, there is no basis for disappearing Crimean Tatar (Dobruja Q) layout. He knows that he can't specify clearly stated language-independent general criteria on which basis to disappear this layout, because that would require disappearing layout(s) which he won't be able to get away with disappearing. So, as a "benevolent" dictator he openly and shamelessly singles out a Crimean Tatar keyboard layout and requires an unprecedented, a completely made up, and a completely arbitrary "estimate"-based approach just for it, using which an ARBITRARY decision can be made. This is a definition of DISCRIMINATION, and it will be viewed as such.
Comment 77 Mișu Moldovan 2011-04-13 00:20:16 UTC
(In reply to comment #74)
> (In reply to comment #71)
> 
> > And yes, the situation has change
> > since 1993, it got WORSE, unfortunately...
> And you would know that how? Do you know that people have returned from
> deportation back to their motherland? Do you know that now there are fewer
> restrictions and more resources available for publications, language research,
> education, and media? The situation has definitely improved since the communist
> and early post-communist times.

Please, we are discussing a Romanian-Tatar layout, it has very little to do with realities in Crimea, which is nowadays a part of Ukraine. I acknowledge there are revival attempts in Romania too, but the general picture is that the language is dying here and this is acknowledged by Romanian Tatars also, please refer to comment #28 and the first three links appended to it.
Comment 78 Mișu Moldovan 2011-04-13 00:25:07 UTC
(In reply to comment #76)
> See comment 56, and comment 69. There are hard facts and numbers there, along
> with concrete relevant technical implementation examples, not arbitrary
> estimates. You haven't said 1 word about these rock-solid and fully relevant
> facts, apparently because there's nothing you can say when faced with the
> facts.

The only relevant number you have provided is 24.000 for the number of Romanian Tatars. I have discussed and updated this 2002 census result in comment #72.
Comment 79 Sergey V. Udaltsov 2011-04-13 00:32:51 UTC
> See comment 56, and comment 69. 
I do not see any numbers in #69. The comment #56 just indicates other candidates to extras. These candidate will be considered as well, most probably moved. Please show me some numbers showing that the situation is not what Misu described. Only numbers.

> What is attempted at being achieved by disappearing this layout?
To allow GUI tools showing all layouts (not GNOME3) to contain less material.

> What are they (is he) going to gain from it having been disappeared?
Observable and understandable choice. Usability.
 
> proposed it 2 years ago).) As of right now, NO RULE IS VIOLATED BY ANY CRIMEAN
> TATAR LAYOUT, and therefore there is no basis for deleting or disappearing
> anything.
If Tatar layout would violate any rules - it would be removed completely. And exactly that happened with your first commit without my approval. Your commit was removed exactly on those grounds: violating rules + no approval. That would happen with any other commit. Yes, because I am dictator of this project, as it was told to you before.

Moving to "extras" is not an emprisonment, not a punishment for violation of any rules. That's just statistical action.
 
> To re-iterate, WHAT ARE THE CLEARLY STATED LANGUAGE-INDEPENDENT GENERAL
> CRITERIA based on which you want to disappear this layout?
As I said - just MY information and impression about number of users. There is nothing provable in this domain, unfortunately.

PS I must admit - I am struggling hard with getting biased against Crimean Tatar, just because of your behavior here. This is the ONLY case in the entire multi-national xkeyboard-config that causes so much irrelevant noise and so much trouble. Think of it. Of course, you can say that Crimean Tatars is the only nation in the entire world that I am biased again. But that's wrong answer.
Comment 80 Prof. Eden Mamut 2011-04-13 01:01:32 UTC
Reference to comment 67 and 73

Dear Mr. Udaltsov, 

Thank you for your kindness and for your open attitude! But, nobody asked for compromise from you. I am not negotiating with you the LEGAL RIGHTS of my community. 
I would like to appologize because, as I have mentioned, I am very busy participating to a Conference in Brussels as keynote speaker and chair for several sessions and I was not able to reply. But, I have seen that you push on this issue and I have to react. As a concequence of your decision, communicated in the message 73, I have consulted the members of the Board of UDTTMR and I was delegated to inform you the followings:

The Tatar minority in Romania is one of 22 minorities recognized by law and is legally represented by UDTTMR. 

Due to your persuasive action to consider our community as an "exotic group", next week I shall prepare letters of protest to the following institutions:

- The Office of the United Nations General Secretary
- The Office of the President of the European Council
- The Office of the President of the European Parliament
- The Director of the Norvegian Nobel Institute in Oslo
- The Head of the Department for Interetnic Relations in Romania

The letters will be sent on Wednesday next week. Until Monday, I am waiting from you, Mr. Moldovan and Mr. Sabiq your final position notes to be attached to the above mentioned protest letters. Please, be so kind and post them on this page because also, I shall post the protest letters here!

In our letters we shall ask the above mentioned institutions to appoint their experts to analyze this case and inform us if any of our rights, as legally recognized ethnic group, is violated. We shall also ask the experts to check the messages posted on this web site. Based on their feedback we shall do all required dilligence to solve this case and to be not repeted again EVER. I want that my son, who is a PhD student, and his future children to be proud of their heritage and to be not put to stay on line for their rights. Nobody should have the courage to tell them that they are a second class human beings because they belong to "exotic groups". And if someone takes this liberty should pay for it.
Comment 81 Sergey V. Udaltsov 2011-04-13 01:23:35 UTC
Dear Prof. Mamut

I already made my statement regarding the layout.
I kindly ask you to distinguish between layout and the nation. Yes, for a moment I am inclined to consider that layout as exotic for Romania. But you will not find any comment from me where I refer Crimean Tatars (as a nation) as exotic group.
Please could you consider putting forward some numerical arguments.
Comment 82 Daniel Stone 2011-04-13 01:42:43 UTC
On Wed, Apr 13, 2011 at 01:01:32AM -0700, bugzilla-daemon@freedesktop.org wrote:
> Thank you for your kindness and for your open attitude! But, nobody asked for
> compromise from you. I am not negotiating with you the LEGAL RIGHTS of my
> community. 

Again - which exact legal rights are you asserting? Do you believe that
the United Nations gives you authority over xkeyboard-config?

> The Tatar minority in Romania is one of 22 minorities recognized by law and is
> legally represented by UDTTMR. 

Being listed among 'exotic layouts' is equivalent to being listed as a
minority in Romania.  You seem to be quite happy to be part of 22
recognised minorities in Romania, but putting your four keyboard layouts
in a different group constitutes a violation of your legal rights?

> In our letters we shall ask the above mentioned institutions to appoint their
> experts to analyze this case and inform us if any of our rights, as legally
> recognized ethnic group, is violated. We shall also ask the experts to check
> the messages posted on this web site. Based on their feedback we shall do all
> required dilligence to solve this case and to be not repeted again EVER. I want
> that my son, who is a PhD student, and his future children to be proud of their
> heritage and to be not put to stay on line for their rights. Nobody should have
> the courage to tell them that they are a second class human beings because they
> belong to "exotic groups". And if someone takes this liberty should pay for it.

No-one is saying that Crimean Tatars are a second-class ethnic group.
All they're saying is that Romanian-specific Crimean Tatar keyboard
layouts probably do not see enough usage to go in the main list of
layouts.  The reasons it does not see usage include: low population, low
computer penetration, low amount of Linux usage, and people apparently
preferring to use the standard Romanian layout instead.

No-one here is discriminating against Tatars, or motivated by hatred
against them, or anything of the sort.  (To be honest, I had no idea
there even _were_ Tatars in Romania until these series of bugs came up.
Of course, I'm now aware of their history in absolutely excruciating
detail.)  Suggesting that people here are effectively racist is
incredibly offensive and insulting, so how about we all act like adults
and stop that immediately.
Comment 83 Reşat SABIQ (Reshat) 2011-04-13 22:57:44 UTC
This message is also about Sergey's discrimination against everything Crimean Tatar.
(In reply to comment #79)
> > proposed it 2 years ago).) As of right now, NO RULE IS VIOLATED BY ANY CRIMEAN
> > TATAR LAYOUT, and therefore there is no basis for deleting or disappearing
> > anything.
> If Tatar layout would violate any rules - it would be removed completely. And
> exactly that happened with your first commit without my approval. Your commit
> was removed exactly on those grounds: violating rules + no approval. 
The truth is, that was also a discriminating and provocative act, and you just used an excuse for your abusive action.
As i stated in bug 19730 comment 8, the so called rule violation was a minor spelling discrepancy (which doesn't affect anything, and is really caused by duplicate verbiage metadata that's not used for any functionality). I also gave you examples of other spelling discrepancies in the project at the time. And as soon as i made my next commit you resolved the following minor spelling discrepancy that i referred to without deleting the layout:
http://cgit.freedesktop.org/xkeyboard-config/commit/?id=ec657924a20dac8733650c1109b53f9600783e3a
It almost looked like you were trying to make that i don't fix it before you, though i didn't have time to worry about such insignificant things really.
You have also accepted all of the patches in bug 35653, despite the fact that they also resulted in spelling discrepancies (which of course also had no functional effect, which is why the author was quite right not to worry about it). These kinds of things don't justify a revert. They are always fixed in git.
Bottom line: an excuse was used for an abusive and provocative action.

But the more important thing is that there is a clear pattern of messing with everything Crimean Tatar that you have encountered:
a. February 2009: deletion of all Crimean Tatar layouts using an excuse as pretext (it's easy to find an excuse for most things, but the ones used were not convincing at all).
b. June 2009: after Crimean Tatar layouts were released by Ubuntu at the end of February, and then officially at the end of April, i finally checked them in again here in May. But when you subsequently committed a follow-up patch modifying nothing but comments (mainly to add credit due to another contributor), you couldn't commit the patch as is: you had to modify the comments. Even though comments are free-text, and other contributors have freely written whatever they want.
c. April 2011: when committing Crimean Tatar patches, you did not use --author arg, whereas i have seen it used most other times after i pointed out to this problem 2 years ago (i haven't checked, but there is a decent probability that only those patches in the last year have been committed without using --author arg).
d. April 2011: and now you have placed requirements (debating some guesstimates a person with chauvinistic tendencies pulled out of thin air) on Crimean Tatar (Dobruja Q) layout that have not been placed on a layout for any other language or ethnic groups.

I have no pleasure in having to say this, but the pattern of messing with everything Crimean Tatar is not at all hard to see. And how is it possible to be OK with you making an arbitrary decision ignoring all the hard facts after all this?
Comment 84 Reşat SABIQ (Reshat) 2011-04-13 23:04:33 UTC
(In reply to comment #79)
> > See comment 56, and comment 69. 
> I do not see any numbers in #69.
This is what i said:
"There are hard facts and numbers there, along
with concrete relevant technical implementation examples, not arbitrary
estimates."
You are equating the language of approximately 24000 Crimean Tatars in Romania, plus those of them who have emigrated to other countries, such as Turkey (who also use the same orthography), to the following languages (and these are the hard facts and numbers i referred to):
1. Avestan, which is an extinct liturgical language
2. Coeur D'alene Salish, which is a language with the total number of speakers equal to 5 (FIVE)
3. Church Slavonic, which is a liturgical language derived from an extinct liturgical language (Old Church Slavonic)
4. APL, which is an obsolete programming language (!) that most software developers have never heard of.

Is this not discrimination? Somebody could make a tragicomedy out of this lunacy.

> The comment #56 just indicates other
> candidates to extras. These candidate will be considered as well, most probably
> moved.
"Most probably" is not going to do it. If you have made a decision to hide Crimean Tatar (Dobruja Q) layout from the UI, unless some arbitrary guesstimates are debated with and provided to you, then you also have to make the same decision for at least the following layouts (numbers of speakers or status on the right (my earlier number for Cherokee was incorrect)):
Cherokee                 12,000 to 22,000
Inuktitut                          35,000 (approx.)
Kutenai (also known as Ktunaxa)        12
Syriac                 apparently extinct
Secwepemctsin                        1650
 & possibly also for 
Kashubian                          50,000
 as well as possibly for 
Maori                             157,110 (at least colloquial)
and others.

There might be more, these are just a few languages that i came across.

You have already tolerated discrimination of and discriminated against Crimean Tatars in Romania, by the following:
a. Having placed extra requirements for them, which have not been required of any other ethnic group or language.
b. Having made a decision to hide the layout (which has expressly been endorsed by their representatives) from the UI, unless these extra, discriminating and arbitrary requirements were met, without at the same time having decided to do the same for layouts dedicated to languages of other equivalent ethnic minorities.

> > What is attempted at being achieved by disappearing this layout?
> To allow GUI tools showing all layouts (not GNOME3) to contain less material.
You are planning on hiding this layout in language-centric code. What non-Gnome3 language-centric GUI tools are you talking about? Has anybody (if so, how many people) expressed a concern about this layout in a specific LANGUAGE-CENTRIC non-Gnome3 tool (and let's not re-cycle language-centric data on country-centric UI nonsense again)?

> > To re-iterate, WHAT ARE THE CLEARLY STATED LANGUAGE-INDEPENDENT GENERAL
> > CRITERIA based on which you want to disappear this layout?
> As I said - just MY information and impression about number of users.
As i've stated before, this is DISCRIMINATING because nothing like this was required of any other ethnic minority. Secondly, it is ARBITRARY, and ILLEGITIMATE.

For this to be even slightly legitimate and non-discriminatory, it must not be arbitrary and there have to be CLEARLY STATED LANGUAGE-INDEPENDENT GENERAL CRITERIA.
Comment 85 Reşat SABIQ (Reshat) 2011-04-13 23:10:09 UTC
(In reply to comment #82)
> Do you believe that
> the United Nations gives you authority over xkeyboard-config?
There are levels of dealing with injustice. Even if it can't be eventually prevented in this project due to dictatorship, you can't really expect everybody to just silently accept it. It's a normal human response to act against discrimination in various ways, and historically in many cases it has been successful, even if it takes time, even if it requires twists and turns.
I would much rather see this resolved fairly and amicably (even after all the adversity), but if it isn't, i personally will do everything i can to support Romanian Tatars in this matter, whatever paths they choose, and regardless of how likely those paths are to be effective.

> Being listed among 'exotic layouts' is equivalent to being listed as a
> minority in Romania.
No, it's not. Layouts of almost all minorities are reflected on the UI, not hidden from it.
> You seem to be quite happy to be part of 22
> recognised minorities in Romania, but putting your four keyboard layouts
Daniel, i don't know whether you are following this discussion or only posting when somebody asks you to, and even though i realize there is a lot to read here, and a lot of it is irrelevant, if you are going to respond, please try to be up to date. This isn't the first time you responded with inaccurate info. Here's what's happened in this bug:
It was caused by country-centric approach which required mixing Romanian and Crimean Tatar layouts. Now, the approach has changed to language-centric. So,  users looking for Romanian layouts will no longer see any Crimean Tatar layouts. In addition, 2 common layouts that had to be there in country-centric approach, no longer need to be there. That left: 4-2=2. And those 2 were merged into 1 based on decision made in Romania. So, the discussion is now about 1 (one) Crimean Tatar (Dobruja Q) layout, which is shown separately from Romanian layouts. Frankly speaking, the title of the bug no longer makes any sense, because this Crimean Tatar layout is shown separately from Romanian layouts. Sergey has now re-defined the issue as essentially "Saving a few pixels in a scrollable list of non-Gnome3 language-centric tools (whatever they are) by hiding Crimean Tatar (Dobruja Q) layout" (where i would add: and by thus violating people's linguistic rights). And i'm truly puzzled that this "debate" is still going on, and what it's going on about.

> Suggesting that people here are effectively racist is
> incredibly offensive and insulting, so how about we all act like adults
> and stop that immediately.
Daniel, at the moment there is no even-handed third-party in this "debate", and while people like you potentially could have played that role, up to now nobody has, and you have done nothing but picking a side.
I think the right (adult, as you say) thing to do, would be, at the very minimum, to make sure that there is equally fair treatment of all languages and their layouts. When it comes to hiding layouts of minority languages from the UI, assuming it were a legitimate thing to do, there have to be, at the very minimum, CLEARLY STATED LANGUAGE-INDEPENDENT GENERAL CRITERIA, and not ARBITRARY decisions made by a self-proclaimed dictator against individual languages (even if a decision is contrary to the will of representatives of the people speaking and using a particular language, and contrary to treatment of other equivalent languages).
Comment 86 Sergey V. Udaltsov 2011-04-14 00:21:19 UTC
Too much bullshit to answer. Too much bullshit to care. If you choose to suppose that I can be biased against a nation that I never met in my life (knowingly) until I met you (virtually) in bugzilla - let it be your problem, not mine.

So I'll just stick to the position expressed in the comment #73. The clock is ticking.
Comment 87 Mișu Moldovan 2011-04-14 00:23:18 UTC
I have managed to contact a Romanian Tatar Linux user on the Romanian Linux User Group list, the discussion is archived online[1] and I have some estimations from him also regarding the usage of Tatar diacritics and Tatar language in writing. This updates my estimations in comment #51 and make them look grossly optimistic.

His estimation[2] for the proportion of Romanian Tatars not using Tatar-specific diacritics is 98%, which means than my 95% percent estimation was on the optimistic side. Also remember than I have assumed that all Romanian Tatars
speak and write in the Crimean Tatar language, but his feedback is that the language, although "currently used at home", sees very little used in writing. His own words are "I believe virtually nobody writes in Tatar any more".

 1. http://lists.lug.ro/lurker/thread/20110414.043219.eadf87c9.en.html
 2. http://lists.lug.ro/lurker/message/20110413.214001.165dc822.en.html
Comment 88 Dmitry Dzhus 2011-04-14 09:33:30 UTC
As a completely unbiased outsider I don't see how political issues of the past justify spamming Xkb with generally unused keyboard layouts. 

I fail to see how developments in XKb project qualify as «affairs» of certain linguistic group. As a devout free software user and contributor I consider thinking of technical discussions as «interfering» with these «affairs» to be destructive and contradictory to the values of the community.
Comment 89 Sergey V. Udaltsov 2011-04-14 17:12:42 UTC
FWIW, ca(shs) and ca(kut) are moved to extras. Thanks for pointing to the statistics. Other mentioned layouts are under investigation.

As I said, these layouts are irrelevant to ro(crh_dobruja). All these changes do not affect my position in relation to this bug.
Comment 90 Alexandre Prokoudine 2011-05-07 17:19:32 UTC
> You are equating the language of approximately 24000 Crimean Tatars 
> in Romania, plus those of them who have emigrated to other countries, 
> such as Turkey (who also use the same orthography), to the following 
> languages (and these are the hard facts and numbers i referred to):
> 1. Avestan, which is an extinct liturgical language
> 2. Coeur D'alene Salish, which is a language with the total number of 
> speakers equal to 5 (FIVE)
> 3. Church Slavonic, which is a liturgical language derived from an 
> extinct liturgical language (Old Church Slavonic)
> ...
> Is this not discrimination? Somebody could make a tragicomedy out of 
> this lunacy.

I think it's time for me to chime in. I do genuinely believe that Avestan was added after I pointed out to Sergey an existing dirty hack to add support for this layout. I thought that since this was in demand even for minorities, it made sense to support it upstream. Which Sergey apparently did. 

Let's move over to Church Slavonic. There are literally tons of sacred literature produced in that language in Russia, right here and right now. People don't use this language in their common lives, but they have to type text somehow, no? Same goes for Avestan: it's not really used for communication, but it still _is_ used as sacred language, in sacred literature. As a person related to type design activities I can tell you that people keep producing new free/libre fonts for both Avestan and Church Slavonic.

So you are in fact telling us that your minor language is better than sacred languages that matter to a lot of living people and thus you are expressing a view of discriminating these sacred languages. And you know, it seems to me that you are begging for a legal action against you. If you bring up the topic once again, I might as well start one.
Comment 91 Reşat SABIQ (Reshat) 2011-05-11 23:38:06 UTC
Thanks (Спасибо) to Dima and Alexandre, for posting their feedback.

As i've said repeatedly, i believe there should be a fair approach towards any language (variant or orthography) that is consistent with approaches applied to other languages with similar characteristics, that is consistent with the practice of other operating systems, and definitely without any discrimination.

First of all, I have not made any value statements with regards to any of the languages: i have not said anything about any of them being less valuable than any other language. My point in comment 84 was that the languages from the so called "extras" section given as examples do not share similar characteristics with Dobruja variant of Crimean Tatar language and in fact have quite different characteristics (APL, an obsolete programming language, having the most different characteristics one could possibly think of). There were no languages in the so called "extras" section sharing characteristics similar to Dobruja variant of Crimean Tatar language when that comment was written. Languages sharing characteristics similar to Dobruja variant of Crimean Tatar language, were all meant to be shown on the UI. The point has been that Dobruja variant of Crimean Tatar language should be treated the same as other languages sharing similar characteristics.
Since then, (as if just to prepare some kind of semblance of objectivity and not discriminating against Dobruja variant of Crimean Tatar language) Sergey all of a sudden made a rush, and again arbitrary decision to hide Secwepemctsin layout from the UI. I have been busy with other things lately, but since i'm posting this now it would be a good time to comment on that: i think it's a step in the wrong direction, and it's a step that is counter to practices of other operating systems, and counter to the spirit of open source community. Secwepemctsin layout should be shown on the UI as well.
And note, that the torture that's been applied to Dobruja variant of Crimean Tatar language was not applied to any language with similar characteristics before it (or after). Even just the timing of the events itself is very much meaningful.

All that said, if you feel that any of the languages whose primary layout is currently in the so called "extras" section should be shown on the UI, you should log a bug about unhiding that primary layout for such a language. If that is the case for Church Slavonic which you appear to be interested in, you should log such a bug for that language. That layout appears to have been hidden simply because it's for a liturgical language. I don't know whether any other OS shows a layout for a liturgical language, and perhaps it would be beneficial to provide such an example if there is one, but I would not have any objections to this regardless of other OSs, because i believe Linux should not only match open-mindedness of other operating systems, but exceed it (openness and open-mindedness is one the main selling points of Linux). But you may see objections from the self-proclaimed dictator in this project. So it's quite clear who discriminates and who doesn't.

In general, with regards to putting the primary layout for any language or orthography variant that is presently used and is not extinct in the "extras" section, i've already stated my doubts whether doing that is legitimate at all.
From comment #85:
> When it comes to hiding layouts of minority languages from the
> UI, assuming it were a legitimate thing to do, 

Hiding the only layout for any presently used language (or variant or orthography of it) that is not extinct does have a human rights aspect to it. I'm not a lawyer, but i do believe this is something that is worth analyzing from a human rights perspective. On the other hand, from what i've read, usage of a programming language may not be a part of human rights (because it's not used for communication among humans, but for communication between machines (or at most between humans and machines)). So, for instance, this kind of languages appears to be irrelevant to minority languages in general. But i can imagine even that becoming debatable in the future.

Even if hiding the only layout for any presently used language (or variant or orthography of it) that is not extinct were legitimate, it has to at least be consistent with criteria used by other operating systems (for it to be non-discriminatory).

Therefore, you can accuse me of being too supportive of languages with relatively small number of users, of arguing against discrimination of any kind against any particular language (including placing additional requirements on any particular language), of arguing for general language-independent criteria, rather than arbitrary decision-making by a self-proclaimed dictator, of calling for layouts for languages with relatively small number of speakers that are shown on Windows, Macintosh, etc. and languages having similar characteristics to them to also be shown on Linux, of arguing for fair treatment of all languages, etc. You can't accuse me of discriminating, oppressing, or trying to oppress any language: i never have, and never will. And note that while other people here have used hurtful words like "minor language" towards Dobruja variant of Crimean Tatar language, i have not used any such words. And I have not said anything about Dobruja variant of Crimean Tatar language being better than any other language (those are words used by Alexandre, not me). What i did is point out some languages that share more similar characteristics with it which are shown on the UI, and the fact that some other languages mentioned have different characteristics (not better or worse, not more or less valuable, but different characteristics).

P.S. I even went against the flow years ago in expressing support for linguistic rights of a minority whose linguistic rights most people wouldn't have expected someone like me to support. I am categorically against violation of any minority's linguistic rights (which are a part of human rights), because i know from experience how people whose linguistic rights are violated feel, even if some of them aren't even aware that they are being oppressed. To wrap up, you may be able to accuse me of excessive support for languages with relatively small number of users (and of those people's linguistic rights which are a part of human rights), not of anything else. But if you accuse me of excessive support for these languages, you'll have to accuse other operating systems as well, because i'm not asking for anything that other operating systems aren't practicing already.
Comment 92 Mișu Moldovan 2011-05-13 01:54:31 UTC
As much as I hate contributing to this exceedingly long discussion, I feel compelled to debunk your arguments, Reşat... Because, first of all, as long as there are no "extra" sections for exotic keyboard layouts in other operating systems, how can you compare xk-c to them in this particular respect? 

Also, naming this Romanian-specific variant as a primary layout for the Crimean Tatar language is a bit of an overstretch, as this is one of the four variants allocated to it. More so, it is an ad-hoc invention of yours and has practically no users. I wish this was the result of the practise of writing the Crimean Tatar language in Romania, but it is not. 

Finally, more than anything, I find it particularly amusing to read your arguments for a case of human rights violation by an MIT-licensed piece of software. Please read http://www.opensource.org/licenses/mit-license.php for details and rethink your position.

Allow me to also suggest this flowchart in order to ensure a rational discussion: http://thoughtcatalog.com/wp-content/uploads/2011/03/A-Flowchart-to-Help-You-Determine-if-Yoursquore-Having-a-Rational-Discussion.jpg . Thanks!
Comment 93 Sergey V. Udaltsov 2011-05-15 13:22:43 UTC
FYI. I have extended the section about layouts and variants in http://www.freedesktop.org/wiki/Software/XKeyboardConfig/Rules

The rule #6 describes (vaguely, of course) the purpose and policy related to the extras section.
Comment 94 Reşat SABIQ (Reshat) 2011-05-15 21:14:16 UTC
(In reply to comment #86)
> Too much bullshit to answer. Too much bullshit to care. If you choose to
> suppose that I can be biased against a nation that I never met in my life
> (knowingly)
It's not necessary at all to have met somebody to have a bias against them (i'm sure a lot of famous discriminators haven't met any people they discriminated against). 
It's easy to brush the truth off as BS, but frankly all the stated facts are documented: the patches are in bugzilla, the present code and its history are in git. There's nothing left to interpretation in that regard.

(In reply to comment #92)
Mișu, the only thing you have "debunked" is common sense. 

I feel that most of this is self-explanatory, but i'll add brief comments nonetheless:

If other operating systems show layouts for languages (or variants) with certain characteristics on the UI along with all the other layouts, for this project to hide such layouts is discriminatory, no matter what the excuse, justification, or rationalization is.

Dobruja Q layout is the only layout dedicated to Dobruja variant of Crimean Tatar language and making typing comfortable for it, which has variations in orthography currently used in comparison to Crimean Tatar in general. If you knew anything about the language you'd know that using any other layout would be at least 2 times slower, due to having to constantly use AltGr. But as i mentioned before, you don't know anything about the language (e.g., in Comment 10 i had to explain to you that that the reference you used is outdated and refers to the language by the wrong name (info on which you didn't even read first (having provided essentialy wrong info)), and in Comment 26 i had to explain to you that Alt-Q that you proposed to leave and hide is the most specialized layout for Crimean Tatar (as in used in a special workflow)), and yet you still try to interfere, even having posed as someone trying to help with providing a layout, while doing the opposite. Of course, that's not the only hypocritical thing you did, but i don't have time to elaborate on this.

Finally, if you think that an open-source license provides an excuse to discriminate against a language (or variant or orthography) by hiding its layout (or by placing additional requirements for this layout), while showing layouts for languages (or variants or orthographies) with similar characteristics (and not placing additional requirements for them), then you obviously have a severe case of hatred or prejudice. How about showing Romanian and hiding Hungarian, or any other pairs or sets of languages with similar characteristics? You only make me waste my time with such silly ideas.

(In reply to comment #93)
> FYI. I have extended the section about layouts and variants in
> http://www.freedesktop.org/wiki/Software/XKeyboardConfig/Rules
> 
> The rule #6 describes (vaguely, of course) the purpose and policy related to
> the extras section.
That looks custom-tailored to provide an excuse for hiding Dobruja Q layout, but this kind of excuse would still not mean that there is no discimination against Crimean Tatars of Romania (if the layout is hidden), or that there is no discimination against Secwepemcs, etc.
I think this project has been showing its main purpose lately: to extent the long arm of certain language policies (like outlawing all non-Cyrillic alphabets and orthographies unless a special arbitrary permission is granted). This hasn't worked for the artificial country-based approach to listing keyboard layouts (bug 19978). It remains to be seen how it plays out in regards to hiding certain languages (or their presently used variants or orthographies) from the UI...
Comment 95 Reşat SABIQ (Reshat) 2011-05-15 21:25:10 UTC
I consider this bug already resolved, but I have logged bug 37242:
"Recently there has been a number of discussions regarding placing some layouts in base.extras.xml.in instead of base.xml.in (which at present means hiding them)..."

"There are 2 main categories of layouts to which this is applicable (although there might be others):
1. (Non-additional) layouts dedicated to languages (or their variants or orthographies (especially if they are presently used)) with relatively small numbers of speakers: i.e. if these layouts are hidden from the UI the language (or variant or orhography) is not going to be shown on the UI at all, and thus no layouts for it will be available on the UI.
2. Additional layouts for languages with a relatively large number of speakers: the ones that are considered for hiding are usually based on alternative approches; e.g. Dvorak, or Colemak for a language for which such  alternative approaches are not common."

Any arbitrary decision to hide Crimean Tatar Dobruja Q layout, or Secwepemctsin layout, without considering general criteria (at least for item 1. above) will be illegitimate and discriminatory. And the examples provided in that bug are sufficient to conclude that all of the layouts mentioned (with the exception of perhaps Ktunaxa which only has an estimated 12 speakers, a characteristic for which an example from another OS hasn't been found) must be shown on the UI along with other layouts.
Comment 96 Sergey V. Udaltsov 2011-05-27 13:32:28 UTC
FWIW, the directory record is moved from base.xml.in to base.extras.xml.in
Comment 97 Reşat SABIQ (Reshat) 2011-06-27 18:34:49 UTC
(In reply to comment #96)
FWIW, this provocative, hypocritical, discriminatory, and politically motivated action was expected.

(In reply to comment #83)
> But the more important thing is that there is a clear pattern of messing with
> everything Crimean Tatar that you have encountered:
> a. February 2009: deletion of all Crimean Tatar layouts using an excuse as
> pretext (it's easy to find an excuse for most things, but the ones used were
> not convincing at all).
> b. June 2009: after Crimean Tatar layouts were released by Ubuntu at the end of
> February, and then officially at the end of April, i finally checked them in
> again here in May. But when you subsequently committed a follow-up patch
> modifying nothing but comments (mainly to add credit due to another
> contributor), you couldn't commit the patch as is: you had to modify the
> comments. Even though comments are free-text, and other contributors have
> freely written whatever they want.
> c. April 2011: when committing Crimean Tatar patches, you did not use --author
> arg, whereas i have seen it used most other times after i pointed out to this
> problem 2 years ago (i haven't checked, but there is a decent probability that
> only those patches in the prior 12 months have been committed without using --author
> arg).
> d. April 2011: and now you have placed requirements (debating some guesstimates
> a person with chauvinistic tendencies pulled out of thin air) on Crimean Tatar
> (Dobruja Q) layout that have not been placed on a layout for any other language
> or ethnic groups.
> 
> I have no pleasure in having to say this, but the pattern of messing with
> everything Crimean Tatar is not at all hard to see. And how is it possible to
> be OK with you making an arbitrary decision ignoring all the hard facts after
> all this?

e. May 2011: Sergey, the self-proclaimed dictator of xkeyboard-config, "decreed" some dictatorial rules (see bug 37242, comment 5) which were custom made to provide some kind of cover for segregating (and as of now for most Linux users: hiding) Crimean Tatar (Dobruja Q) layout, and on May 27 he segregated that layout (and as of now for most Linux users: disappeared it from the UI), despite the fact that it has been clear from bug 37242 that segregating (hiding) either Secwepemctsin or Crimean Tatar (Dobruja Q) layout is inconsistent with practice of other operating systems, is hypocritical and discriminatory (as re-stated in bug 37242, comment 6).

P.S. May 18th was the day of deportation, which makes May 27th more meaningful. The above is just a pattern within a much larger pattern: arbitrarily changing peoples' alphabets and orthographies 3 or more times in a few decades, deportation, disappearing and executing people, selective prosecution, making (illegitimate) laws banning peoples from using any alphabet other than Cyrillic, provocative actions like deleting, segregating, or disappearing keyboard layouts... Putting it in context, unfortunately as of now it is hard to expect much else, given that such mentality oppresses its own people as well, let alone minorities it forced into exile from their native lands to whose keyboard layouts, and thus languages, it now refers to as "exotic".
P.P.S. In short, even after politicized country-based approach was changed to a language-centric approach as suggested in bug 19978 (thanks to sensible people of the Gnome community), this project is continuing to politicize the matters of keyboard layouts (even though now there is less room for that than before). Once again, i hope with time this issue is resolved the way it should be resolved by the Linux community in general.
Comment 98 Daniel Stone 2011-06-28 01:33:10 UTC
(In reply to comment #97)
> FWIW, this provocative, hypocritical, discriminatory, and politically motivated
> action was expected.

Why did you bring this up again one month later? And why did you start with the personal attacks against Sergey, with all the 'your ancestors oppressed me' nonsense, and assuming that open source development is some kind of genocidal attack on you?

Actually, don't answer that, since you've done it before.  You're now banned from the fd.o Bugzilla for repeated and persistent abuse of others, despite multiple warnings.  If you have any questions, take it up with me privately.